<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

	header('Content-Type: text/html; charset=utf-8');
	header('Content-type: application/vnd.ms-excel');
	header("Content-Disposition: attachment; filename=Consolidado".$fechaHora.".xls");
	header("Pragma: no-cache");
	header("Expires: 0");	

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $idGrado = $datosCurso['id_grado'];
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);

    $conAsignaturas = 0;
    $datosAsignaturasCurso = colegios::datosAsignaturasCurso($_SESSION['aLectivo'],$datosCurso['id_grado_sede']);
    foreach ($datosAsignaturasCurso as $asignaturacurso) {
        $asignaturas[$conAsignaturas][0] = $asignaturacurso['id_asignatura_grado'];
        $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$asignaturacurso['id_asignatura']);
        if (count($datosAsignatura))
            $asignaturas[$conAsignaturas][1] = $datosAsignatura['nemotecnico'];
        else
            $asignaturas[$conAsignaturas][1] = "-".$asignaturacurso['id_asignatura'];
        $asignaturas[$conAsignaturas][2] = $datosAsignatura['id_area'];
        $conAsignaturas++;
    }
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    if ($datosCurso['id_sede'] == 3) {
        $infBajo = 1;
        $supBajo = 3.4;
        $infBasico = 3.5;
        $supBasico = 3.9;
        $infAlto = 4;
        $supAlto = 4.4;
        $infSuperior = 4.5;
        $supSuperior = 5;
    }

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    $conEstudiantes = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    foreach ($datosEstudiantes as $estudiante) {
        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
        $conEstudiantes++;
    }
    $promedioCurso = 0;
?>
    <h3 style="text-align: center"><?=utf8_decode($_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']) ?></h3>
    <h3 style="text-align: center"><?=utf8_decode($_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio']) ?></h3>
    <h4 style="text-align: center">CONSOLIDADO DE CALIFICACIONES POR PERIODO</h4>
    <h5 style="text-align: center">SEDE: <strong><?=utf8_decode($datosSede['nombre']) ?> | CURSO: <strong><?=utf8_decode($datosCurso['nomenclatura']) ?> | PERIODO: <strong><?=$_GET['periodo'] ?> | A&Ntilde;O LECTIVO: <strong><?=$_SESSION['aLectivo'] ?> | FECHA: <strong><?=date("Y-m-d") ?></strong></h5>

    <table class="tablaMatriculas">
        <thead>
            <tr>
                <th width="1%">No</th>
                <th width="20%">ESTUDIANTE</th>
                <?php
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<th width='2%'><strong>".substr($asignaturas[$i][1],0,5)."</th>";
                        $totalBajosAsignatura[$i] = $totalBasicosAsignatura[$i] = $totalAltosAsignatura[$i] = $totalSuperioresAsignatura[$i] = $sumaNotasAsignatura[$i] = 0;
                    }
                ?>
                <th width="1%">BJ</th>
                <th width="1%">BS</th>
                <th width="1%">AL</th>
                <th width="1%">SU</th>
                <th width="1%">PROM</th>
            </tr>
        </thead>
        <tbody>
        <?php
            if($conEstudiantes){
                if ($idGrado > 15 && $idGrado < 21){ // PREESCOLAR
                    for ($i=0; $i<$conEstudiantes; $i++){
                        $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = $totalNotasEstudiante = 0;
                        $consecutivo = $i + 1;
                        echo "<tr><td>".$consecutivo."</td><td>".utf8_decode($estudiantes[$i][0])."</td>";
                        for ($j = 0; $j < $conAsignaturas; $j++) {
                            $idAsignaturaGrado = $asignaturas[$j][0];
                            $notasEstudiante = notas::consultaPreeAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado,$_GET['periodo']);
                            if (count($notasEstudiante)){ 
                                $mostrarNota =  $notasEstudiante['d1'];
                                if ($notasEstudiante['d1'] == 'S')
                                    $definitiva = $definitivaFinal =  5; 
                                else if ($notasEstudiante['d1'] == 'A')
                                    $definitiva = $definitivaFinal =  4; 
                                else if ($notasEstudiante['d1'] == 'P')
                                    $definitiva = $definitivaFinal =  3; 
                                else if ($notasEstudiante['d1'] == 'D')
                                    $definitiva = $definitivaFinal =  2;
                                else
                                    $definitiva = $definitivaFinal =  0;
                                
                                
                                $claseFila = "";
                                if ($definitivaFinal >= $infBajo && $definitivaFinal <= $supBajo){
                                    $totalBajosAsignatura[$j] += 1;
                                    $conBajos++;
                                    $claseFila = "alert alert-danger";
                                }
                                elseif ($definitivaFinal >= $infBasico && $definitivaFinal <= $supBasico){
                                    $totalBasicosAsignatura[$j] += 1;
                                    $conBasicos++;
                                    $claseFila = "alert alert-info";
                                }
                                elseif ($definitivaFinal >= $infAlto && $definitivaFinal <= $supAlto){
                                    $totalAltosAsignatura[$j] += 1;
                                    $conAltos++;
                                    $claseFila = "alert alert-warning";
                                }
                                elseif ($definitivaFinal >= $infSuperior && $definitivaFinal <= $supSuperior){
                                    $totalSuperioresAsignatura[$j] += 1;
                                    $conSuperiores++;
                                    $claseFila = "alert alert-success";
                                }
                                $totalNotasFinales += $definitivaFinal;
                                if ($asignaturas[$j][2] != 10){
                                    $totalNotasEstudiante += $definitivaFinal;
                                    $sumaNotasAsignatura[$j] += $definitivaFinal;
                                    $totalNotas++;
                                }
                                echo "<td class='<?=$claseFila ?>'><strong>".$mostrarNota."<strong></td>";
                                
                            }
                            else{
                                echo "<td></td>";
                            }
                        }
                        if ($totalNotasEstudiante){
                            $promedioEstudiante = number_format($totalNotasEstudiante / $totalNotas,1);
                        }
                        echo "<td>".$conBajos."</td>";
                        echo "<td>".$conBasicos."</td>";
                        echo "<td>".$conAltos."</td>";
                        echo "<td>".$conSuperiores."</td>";
                        echo "<td>".$promedioEstudiante."</td></tr>";
                    }
                    $conBajos = $conBasicos = $conAltos = $conSuperiores = 0;
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN BAJO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalBajosAsignatura[$i]."</strong></td>";
                        $conBajos += $totalBajosAsignatura[$i];
                    }
                    echo "<td>".$conBajos."</td><td></td><td></td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN BASICO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalBasicosAsignatura[$i]."</strong></td>";
                        $conBasicos += $totalBasicosAsignatura[$i];
                    }
                    echo "<td></td><td>".$conBasicos."</td><td></td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN ALTO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalAltosAsignatura[$i]."</strong></td>";
                        $conAltos += $totalAltosAsignatura[$i];
                    }
                    echo "<td></td><td></td><td>".$conAltos."</td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN SUPERIOR >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalSuperioresAsignatura[$i]."</strong></td>";
                        $conSuperiores += $totalSuperioresAsignatura[$i];
                    }
                    echo "<td></td><td></td><td></td><td>".$conSuperiores."</td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>PROMEDIO ASIGNATURA >>> </strong></td>";
                    $promedioAsignatura = $promedioCurso = $totalSumaAsignaturas = $contAsignaturas = 0;
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        if ($sumaNotasAsignatura[$i] > 0){
                            $promedioAsignatura = number_format($sumaNotasAsignatura[$i] / $conEstudiantes,1);
                            $contAsignaturas++;
                        } else{
                            $promedioAsignatura = 0;
                        }
                        if ($promedioAsignatura > 0)
                            echo "<td><strong>".$promedioAsignatura."</strong></td>";
                        else
                            echo "<td></td>";
                        $totalSumaAsignaturas += $promedioAsignatura;
                    }
                    if ($totalSumaAsignaturas > 0)
                        $promedioCurso = number_format($totalSumaAsignaturas / $contAsignaturas,1);
                    else
                        $promedioCurso = 0;
                    echo "<td></td><td></td><td></td><td></td><td><strong>".$promedioCurso."</strong></td></tr>";
                } else {
                    for ($i=0; $i<$conEstudiantes; $i++){
                        $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = $totalNotasEstudiante = 0;
                        $consecutivo = $i + 1;
                        echo "<tr><td>".$consecutivo."</td><td>".utf8_decode($estudiantes[$i][0])."</td>";
                        for ($j = 0; $j < $conAsignaturas; $j++) {
                            $idAsignaturaGrado = $asignaturas[$j][0];
                            $notasEstudiante = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado,$_GET['periodo']);
                            if (count($notasEstudiante)){
                                $definitiva = $definitivaFinal = $mostrarNota =  $notasEstudiante['definitiva'];
                                $recuperacion = $notasEstudiante['recuperacion'];
                                if ($recuperacion > $definitiva){
                                    $definitivaFinal = $recuperacion;
                                    $mostrarNota = "(".$definitivaFinal.")";
                                }
                                $estiloNota = "";
                                if ($definitivaFinal >= 0 && $definitivaFinal <= $supBajo){
                                    $totalBajosAsignatura[$j] += 1;
                                    if ($asignaturas[$j][2] != 10)
                                        $conBajos++;
                                    $estiloNota = "background-color: #FFD7D7;";
                                }
                                elseif ($definitivaFinal >= $infBasico && $definitivaFinal <= $supBasico){
                                    $totalBasicosAsignatura[$j] += 1;
                                    if ($asignaturas[$j][2] != 10)
                                        $conBasicos++;
                                    $estiloNota = "background-color: #D9EDF7;";
                                }
                                elseif ($definitivaFinal >= $infAlto && $definitivaFinal <= $supAlto){
                                    $totalAltosAsignatura[$j] += 1;
                                    if ($asignaturas[$j][2] != 10)
                                        $conAltos++;
                                    $estiloNota = "background-color: #FCF8E3;";
                                }
                                elseif ($definitivaFinal >= $infSuperior && $definitivaFinal <= $supSuperior){
                                    $totalSuperioresAsignatura[$j] += 1;
                                    if ($asignaturas[$j][2] != 10)
                                        $conSuperiores++;
                                    $estiloNota = "background-color: #DFF0D8;";
                                }
                                $totalNotasFinales += $definitivaFinal;
                                if ($asignaturas[$j][2] != 10){
                                    $totalNotasEstudiante += $definitivaFinal;
                                    $sumaNotasAsignatura[$j] += $definitivaFinal;
                                    $totalNotas++;
                                }
                                echo "<td style='".$estiloNota."'><strong>".$mostrarNota."<strong></td>";
                            }
                            else{
                                echo "<td></td>";
                            }
                        }
                        if ($totalNotasEstudiante){
                            $promedioEstudiante = number_format($totalNotasEstudiante / $totalNotas,1);
                        }
                        echo "<td>".$conBajos."</td>";
                        echo "<td>".$conBasicos."</td>";
                        echo "<td>".$conAltos."</td>";
                        echo "<td>".$conSuperiores."</td>";
                        if ($promedioEstudiante >= $infBajo && $promedioEstudiante <= $supBajo){
                            $estiloNota = "background-color: #FFD7D7;";
                        }
                        elseif ($promedioEstudiante >= $infBasico && $promedioEstudiante <= $supBasico){
                            $estiloNota = "background-color: #D9EDF7;";
                        }
                        elseif ($promedioEstudiante >= $infAlto && $promedioEstudiante <= $supAlto){
                            $estiloNota = "background-color: #FCF8E3;";
                        }
                        elseif ($promedioEstudiante >= $infSuperior && $promedioEstudiante <= $supSuperior){
                            $estiloNota = "background-color: #DFF0D8;";
                        }
                        echo "<td style='".$estiloNota."'><strong>".$promedioEstudiante."<strong></td></tr>";
                    }
                    $conBajos = $conBasicos = $conAltos = $conSuperiores = 0;
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN BAJO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalBajosAsignatura[$i]."</strong></td>";
                        $conBajos += $totalBajosAsignatura[$i];
                    }
                    echo "<td>".$conBajos."</td><td></td><td></td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN BASICO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalBasicosAsignatura[$i]."</strong></td>";
                        $conBasicos += $totalBasicosAsignatura[$i];
                    }
                    echo "<td></td><td>".$conBasicos."</td><td></td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN ALTO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalAltosAsignatura[$i]."</strong></td>";
                        $conAltos += $totalAltosAsignatura[$i];
                    }
                    echo "<td></td><td></td><td>".$conAltos."</td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN SUPERIOR >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalSuperioresAsignatura[$i]."</strong></td>";
                        $conSuperiores += $totalSuperioresAsignatura[$i];
                    }
                    echo "<td></td><td></td><td></td><td>".$conSuperiores."</td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>PROMEDIO ASIGNATURA >>> </strong></td>";
                    $promedioAsignatura = $promedioCurso = $totalSumaAsignaturas = $contAsignaturas = 0;
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        if ($sumaNotasAsignatura[$i] > 0){
                            $promedioAsignatura = number_format($sumaNotasAsignatura[$i] / $conEstudiantes,1);
                            $contAsignaturas++;
                        } else{
                            $promedioAsignatura = 0;
                        }
                        if ($promedioAsignatura > 0)
                            echo "<td><strong>".$promedioAsignatura."</strong></td>";
                        else
                            echo "<td></td>";
                        $totalSumaAsignaturas += $promedioAsignatura;
                    }
                    if ($totalSumaAsignaturas > 0)
                        $promedioCurso = number_format($totalSumaAsignaturas / $contAsignaturas,1);
                    else
                        $promedioCurso = 0;
                    echo "<td></td><td></td><td></td><td></td><td><strong>".$promedioCurso."</strong></td></tr>";
                }
            }
            else{ ?>
                <tr>
                    <td colspan="5">No hay Estudiantes en el Curso</td>
                </tr>
                <?php
            }
        ?>
        </tbody>
    </table>