<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/notas.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/sised.php";

    $periodo = $_GET['periodo'];
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
    
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    if ($datosCurso['id_sede'] == 3 || $datosCurso['id_sede'] == 4) {
        $infBajo = 1;
        $supBajo = 3.4;
        $infBasico = 3.5;
        $supBasico = 3.9;
        $infAlto = 4;
        $supAlto = 4.4;
        $infSuperior = 4.5;
        $supSuperior = 5;
    }    

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos26($_SESSION['aLectivo'],$_GET['idcurso']);
    foreach ($datosEstudiantes as $estudiante) {
        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
        $estudiantes[$conEstudiantes][2] = $estudiante['id_diversa'];
        $conEstudiantes++;
    }
    sort($estudiantes);
    
    $conEstudiantes = count($estudiantes);
    $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    
/*
    if ($_GET['idespecialidad'] == 1) {
        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos26($_SESSION['aLectivo'],$_GET['idcurso']);
        foreach ($datosEstudiantes as $estudiante) {
            $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
            $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
            $estudiantes[$conEstudiantes][2] = $estudiante['id_diversa'];
            $conEstudiantes++;
        }
    } else {
        $datosCursosGradoSede = colegios::datosCursosGradoSede($_SESSION['aLectivo'],$_GET['idgradosede']);
        foreach ($datosCursosGradoSede as $curso) {
            $datosEstudiantes = estudiantes::datosEstudiantesGradoActivosEspecialidad26($_SESSION['aLectivo'],$curso['id_curso'],$_GET['idespecialidad']);
            foreach ($datosEstudiantes as $estudiante) {
                $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                $estudiantes[$conEstudiantes][2] = $estudiante['id_diversa'];
                $conEstudiantes++;
            }
        }
        sort($estudiantes);
    }
*/
?> 

        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover">
                <thead>
                    <tr>
                        <th rowspan="2">No</th>
                        <th rowspan="2">ESTUDIANTE</th>
                        <th colspan="2" style="text-align: center">INASISTENCIAS</th>
                        <th colspan="1" style="text-align: center">EVALUACIÓN</th>
                        <th rowspan="2" style="text-align: center">DEFINITIVA</th>
                        <th rowspan="2" style="text-align: center"></th>
                    </tr>
                    <tr>
                        <td style="text-align: center">SIN-JUS</td>
                        <td style="text-align: center">CON-JUS</td>
                        <td style="text-align: center">100%</td>
                    </tr>
                </thead>
                <tbody>
                <?php
                    if($conEstudiantes){
                        for ($i=0; $i<$conEstudiantes; $i++){
                            $notasEstudiante = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$_GET['idasignaturagrado'],$_GET['periodo']);
                            $idCalificacion = $notasEstudiante['id_calificacion'];
                            $notaFinal = $notasEstudiante['definitiva'];
                            $claseFila = "";
                            if ($notaFinal >= $infBajo && $notaFinal <= $supBajo){
                                $conBajos++;
                                $claseFila = "alert alert-danger";
                            }
                            elseif ($notaFinal >= $infBasico && $notaFinal <= $supBasico){
                                $conBasicos++;
                                $claseFila = "alert alert-info";
                            }
                            elseif ($notaFinal >= $infAlto && $notaFinal <= $supAlto){
                                $conAltos++;
                                $claseFila = "alert alert-warning";
                            }
                            elseif ($notaFinal >= $infSuperior && $notaFinal <= $supSuperior){
                                $conSuperiores++;
                                $claseFila = "alert alert-success";
                            }
                            $totalNotasFinales += $notaFinal; ?>
                            <tr>
                                <td><?=$i+1 ?></td>
                                <td>
                                    <?=$estudiantes[$i][0] ?>
                                    <?php
                                        if ($estudiantes[$i][2] == 1) { ?>
                                            <a data-toggle="modal" href="#observaciondiversa" onclick="modalObservacionDiversa({'texto': '<?=$notasEstudiante['descriptor_diversa'] ?>', 'id': '<?=$notasEstudiante['id_calificacion'] ?>'})">
                                                <label class="btn btn-primary btn-sm">I</label>
                                            </a>
                                            <?php
                                        }
                                    ?>
                                </td>
                                <td style="text-align: center"><input type="text" id="F<?=$i ?>" name="F<?=$estudiantes[$i][1] ?>" value="<?=$notasEstudiante['fallas'] ?>" maxlength="2" onKeyPress="return soloNumeros(event)" style="width: 30px;" onkeyup="saltar(event,'F<?=$i+1 ?>')"></td>
                                <td style="text-align: center"><input type="text" id="FJ<?=$i ?>" name="FJ<?=$estudiantes[$i][1] ?>" value="<?=$notasEstudiante['fallasJ'] ?>" maxlength="2" onKeyPress="return soloNumeros(event)" style="width: 30px;" onkeyup="saltar(event,'FJ<?=$i+1 ?>')"></td>
                                <td style="text-align: center"><input type="text" id="N01<?=$i ?>" name="N01<?=$estudiantes[$i][1] ?>" value="<?php if ($notaFinal > 0) echo $notaFinal; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onBlur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)" onkeyup="saltar(event,'N01<?=$i+1 ?>')"></td>
                                <td class="<?=$claseFila ?>"><strong><?=$notaFinal ?></strong></td>
                                <?php
                                    if ($notaFinal > 0) { ?>
                                        <td><a class="btn-danger btn btn-xs" onclick="eliminarNotasEstudiantePeriodo(<?=$idCalificacion ?>)"><i class="fa fa-trash"></i> Borrar</a></td> 
                                        <?php
                                    } else { ?>
                                        <td></td>
                                        <?php
                                    }
                                ?>
                            </tr>
                            <input type="hidden" name="M<?=$estudiantes[$i][1] ?>" id="M<?=$estudiantes[$i][1] ?>" value ="<?=$estudiantes[$i][1] ?>">
                            <?php
                        }
                        $promedioCurso = $totalNotasFinales / $conEstudiantes;
                        $totalConDesempenos = $conBajos + $conBasicos + $conAltos + $conSuperiores;
                    }
                    else{ ?>
                        <tr>
                            <td colspan="23">No hay Estudiantes en el Curso</td>
                        </tr>
                        <?php
                    }
                ?>
                </tbody>
            </table>
        </div>
        <label class="btn btn-primary" onclick="guardarPlanilla()"><i class="fa fa-save"> </i> Guardar la Planilla</label>
        <label class="btn btn-default" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
        <hr>
        <?php
            if($conEstudiantes){ ?>
                <div class="row m-b-lg m-t-lg">
                    <div class="col-md-5">
                        <h3>Estudiantes por Desempeño</h3>
                        <table class="table m-b-xs">
                            <tbody>
                                <tr>
                                    <td class="alert alert-danger"><i class="fa fa-frown-o"></i> &nbsp;Desempeño Bajo<span class="pull-right">(<?=$infBajo." - ".$supBajo ?>)</span></td>
                                    <td class="alert alert-danger"><strong><?=$conBajos ?></strong> Estudiantes</td>
                                    <td class="alert alert-danger"><span class="pie"><?=$conBajos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conBajos / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                                <tr>
                                    <td class="alert alert-info"><i class="fa fa-meh-o"></i> &nbsp;Desempeño Básico<span class="pull-right">(<?=$infBasico." - ".$supBasico ?>)</span></td>
                                    <td class="alert alert-info"><strong><?=$conBasicos ?></strong> Estudiantes</td>
                                    <td class="alert alert-info"><span class="pie"><?=$conBasicos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conBasicos / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                                <tr>
                                    <td class="alert alert-warning"><i class="fa fa-smile-o"></i> &nbsp;Desempeño Alto<span class="pull-right">(<?=$infAlto." - ".$supAlto ?>)</span></td>
                                    <td class="alert alert-warning"><strong><?=$conAltos ?></strong> Estudiantes</td>
                                    <td class="alert alert-warning"><span class="pie"><?=$conAltos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conAltos / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                                <tr>
                                    <td class="alert alert-success"><i class="fa fa-star"></i> &nbsp;Desempeño Superior<span class="pull-right">(<?=$infSuperior." - ".$supSuperior ?>)</span></td>
                                    <td class="alert alert-success"><strong><?=$conSuperiores ?></strong> Estudiantes</td>
                                    <td class="alert alert-success"><span class="pie"><?=$conSuperiores ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conSuperiores / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                                <tr>
                                    <td><i class="fa fa-thumbs-o-down"></i> &nbsp;Sin Desempeño<span class="pull-right">Sin Nota</span></td>
                                    <td><strong><?=$conEstudiantes - $totalConDesempenos ?></strong> Estudiantes</td>
                                    <td><span class="pie"><?=$conEstudiantes - $totalConDesempenos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format((($conEstudiantes - $totalConDesempenos) / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-md-4">
                        <h3>Porcentaje Desempeño</h3>
                        <div class="flot-chart">
                            <div class="flot-chart-pie-content" id="flot-pie-chart"></div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <h3>Promedio del Curso</h3>
                        <div class="widget-head-color-box default-bg p-lg text-center" style="margin-top: -50px;">
                            <i class="big-icon"><?=number_format($promedioCurso,1) ?></i>
                        </div>
                    </div>
                </div>
                <?php
            }
        ?>
        
        <div id="observaciondiversa" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Descriptor Inclusión</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Digite el Descriptor:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <input class="form-control m-b" id="descriptor">
                                        <input type="hidden" class="form-control m-b" id="idcalificacion">
                                    </div>
                                </div>
                                <hr>
                                <label class="btn btn-primary" onclick="guardarDescriptor()"><i class="fa fa-save"> </i> Guardar Descriptor</label>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script src="../../js/demo/peity-demo.js"></script>

        <!-- Flot -->
        <script src="../../js/plugins/flot/jquery.flot.js"></script>
        <script src="../../js/plugins/flot/jquery.flot.tooltip.min.js"></script>
        <script src="../../js/plugins/flot/jquery.flot.resize.js"></script>
        <script src="../../js/plugins/flot/jquery.flot.pie.js"></script>
        <script src="../../js/plugins/flot/jquery.flot.time.js"></script>

        <script type="text/javascript">
            function saltar(e,id)
            {
            	// Obtenemos la tecla pulsada
            	(e.keyCode)? k = e.keyCode : k=e.which;
            	// Si la tecla pulsada es enter (codigo ascii 13)
            	if(k==13) {
        			// nos posicionamos en el siguiente input
        			document.getElementById(id).focus();
            	}
            }

            $(function() {
                var bajos = <?=$conBajos ?>;
                var basicos = <?=$conBasicos ?>;
                var altos = <?=$conAltos ?>;
                var superiores = <?=$conSuperiores ?>;
                var sindesempe = <?=$conEstudiantes - $totalConDesempenos ?>;
                var data = [{
                    label: "Bajo",
                    data: bajos,
                    color: "#F2DEDE",
                }, {
                    label: "Basico",
                    data: basicos,
                    color: "#D9EDF7",
                }, {
                    label: "Alto",
                    data: altos,
                    color: "#FCF8E3",
                }, {
                    label: "Superior",
                    data: superiores,
                    color: "#DFF0D8",
                }, {
                    label: "Sin Nota",
                    data: sindesempe,
                    color: "#bababa",
                }];

                var plotObj = $.plot($("#flot-pie-chart"), data, {
                    series: {
                        pie: {
                            show: true
                        }
                    },
                    grid: {
                        hoverable: true
                    },
                    tooltip: true,
                    tooltipOpts: {
                        content: "%p.0%, %s", // show percentages, rounding to 2 decimal places
                        shifts: {
                            x: 50,
                            y: 0
                        },
                        defaultTheme: false
                    }
                });

            });

        </script>
