<?php
	session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/notas.php";

	$numPeriodo = $_GET['idperiodo'];
	$idMatricula = $_GET['idmatricula'];
	$idCurso = $_GET['idcurso'];
	$nombreEstudiante = $_GET['estudiante'];
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);

	$datosGradoSedeCurso = colegios::datosGradoSedeCurso($_SESSION['aLectivo'],$idCurso);
    $datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
    
    if ($datosCurso['id_sede'] == 3) {
        $infBajo = 1;
        $supBajo = 3.4;
        $infBasico = 3.5;
        $supBasico = 3.9;
        $infAlto = 4;
        $supAlto = 4.4;
        $infSuperior = 4.5;
        $supSuperior = 5;
    }

    $conAsignaturas = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = 0;
?>

<div class="col-lg-12">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>Calificaciones del Estudiante: <?=$nombreEstudiante ?> &bull; Periodo: <?=$numPeriodo ?></h5>
        </div>
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" name="datos-planilla" id="datos-planilla">
                <div class="form-group">
                    <div class="col-lg-12">
						<div class="table-responsive">
						    <table class="table table-striped table-bordered table-hover">
						        <thead>
						            <tr>
						                <th>AREAS/ASIGNATURAS</th>
						                <th>I.H.S.</th>
						                <th>FALLAS</th>
						                <th>NOTA PERIODO</th>
						                <th>RECUPERACIÓN</th>
						                <th>DEFINITIVA</th>
						                <th></th>
						            </tr>
						        </thead>
						        <tbody>
						            <?php
						                foreach ($datosAreas as $area) {
						                	$swTituloArea = 1;
						                    $datosAsignaturasArea = colegios::datosAsignaturasArea($_SESSION['aLectivo'],$area['id_area']);
						                    foreach ($datosAsignaturasArea as $asignaturaarea) {
						                        $datosAsignaturaGradoSede = colegios::datosAsignaturaGradoSede($_SESSION['aLectivo'],$asignaturaarea['id_asignatura'],$datosGradoSedeCurso['id_grado_sede']);
						                        if (count($datosAsignaturaGradoSede)){
							                        $idAsignaturaGrado = $datosAsignaturaGradoSede['id_asignatura_grado'];
							                        $existeNota = 0;
							                        $definitiva = $recuperacion = $fallas = $idCalificacion = "";
								                    $consultaNotasAsignaturaPeriodo = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$idMatricula,$idAsignaturaGrado,$numPeriodo);
								                    if (count($consultaNotasAsignaturaPeriodo)){
								                        $idCalificacion = $consultaNotasAsignaturaPeriodo['id_calificacion'];
														$definitiva = $definitivaFinal = $consultaNotasAsignaturaPeriodo['definitiva'];
														$recuperacion = $consultaNotasAsignaturaPeriodo['recuperacion'];
														/*
                                                        if ($_SESSION['idColegio'] == 39){
                                                            if ($recuperacion > $definitiva)
                                                                $definitivaFinal = number_format(($definitiva + $recuperacion) / 2,1);
                                                        }
                                                        else{
                                                            if ($recuperacion > $definitiva)
                                                                $definitivaFinal = $recuperacion;
                                                        }
                                                        */
                                                        if ($recuperacion > $definitiva)
                                                            $definitivaFinal = $recuperacion;
									                    $claseFila = "";
									                    if ($definitivaFinal >= $infBajo && $definitivaFinal <= $supBajo){
									                        $conBajos++;
									                        $claseFila = "alert alert-danger";
									                    }
									                    elseif ($definitivaFinal >= $infBasico && $definitivaFinal <= $supBasico){
									                        $conBasicos++;
									                        $claseFila = "alert alert-info";
									                    }
									                    elseif ($definitivaFinal >= $infAlto && $definitivaFinal <= $supAlto){
									                        $conAltos++;
									                        $claseFila = "alert alert-warning";
									                    }
									                    elseif ($definitivaFinal >= $infSuperior && $definitivaFinal <= $supSuperior){
									                        $conSuperiores++;
									                        $claseFila = "alert alert-success";
									                    }
									                    $totalNotas += $definitivaFinal;
														$fallas = $consultaNotasAsignaturaPeriodo['fallas'];
							                        	if ($swTituloArea == 1){
							                        		$swTituloArea = 0; ?>
								                			<tr><th colspan="7" style="background-color: #CCCCCC;"><?=$area['descripcion'] ?></th></tr>
								                			<?php
								                		} ?>
							                        	<tr>
		                            						<td><i class="fa fa-book"></i> <?=$asignaturaarea['descripcion'] ?></td>
		                            						<td><?=$datosAsignaturaGradoSede['ih'] ?></td>
															<td><input type="text" name="F<?=$idAsignaturaGrado ?>" value="<?=$fallas ?>" maxlength="2" onKeyPress="return soloNumeros(event)" style="width: 30px;"></td>
	                        								<td><input type="text" name="D<?=$idAsignaturaGrado ?>" value="<?php if ($definitiva > 0) echo $definitiva; ?>" maxlength="3" onKeyPress="return soloNotas(event)" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)" style="width: 30px;"></td>
	                        								<td><input type="text" name="R<?=$idAsignaturaGrado ?>" value="<?php if ($recuperacion > 0) echo $recuperacion; ?>" maxlength="3" onKeyPress="return soloNotas(event)" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)" style="width: 30px;"></td>
	                        								<td class="<?=$claseFila ?>"><strong><?=$definitivaFinal ?></strong></td>
		                            						<td><a class="btn-danger btn btn-xs" onclick="eliminarNotasEstudiantePeriodo(<?=$idCalificacion ?>)"><i class="fa fa-trash"></i> Borrar</a></td>
		                            					</tr>
		                            					<?php
														$existeNota = 1;
							                        }
							                        if (!$existeNota){ ?>
							                        	<tr>
		                            						<td><i class="fa fa-book"></i> <?=$asignaturaarea['descripcion'] ?></td>
		                            						<td><?=$datosAsignaturaGradoSede['ih'] ?></td>
															<td><input type="text" name="F<?=$idAsignaturaGrado ?>" value="" maxlength="2" onKeyPress="return soloNumeros(event)" style="width: 30px;"></td>
	                        								<td><input type="text" name="D<?=$idAsignaturaGrado ?>" value="" maxlength="3" onKeyPress="return soloNotas(event)" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)" style="width: 30px;"></td>
	                        								<td><input type="text" name="R<?=$idAsignaturaGrado ?>" value="" maxlength="3" onKeyPress="return soloNotas(event)" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)" style="width: 30px;"></td>
	                        								<td></td>
		                            						<td></td>
		                            					</tr>
							                        	<?php
							                        }
													$conAsignaturas++; ?>
							                        <input type="hidden" name="A<?=$idAsignaturaGrado ?>" id="A<?=$idAsignaturaGrado ?>" value="<?=$idAsignaturaGrado ?>">
							                        <?php
							                    }
						                    }
							            }
							            if ($conAsignaturas)
						                	$promedioEstudiante = $totalNotas / $conAsignaturas;
						                $totalConDesempenos = $conBajos + $conBasicos + $conAltos + $conSuperiores;
							        ?>
						        </tbody>
						    </table>
						</div>
						<label class="btn btn-primary" onclick="guardarNotasEstudiante()"><i class="fa fa-save"> </i> Guardar Notas Estudiante</label>
						<label class="btn btn-default" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
						<hr>
						<?php
						    if($conAsignaturas){ ?>
						        <div class="row m-b-lg m-t-lg">
						            <div class="col-md-5">
						                <h3>Asignaturas por Desempeño</h3>
						                <table class="table m-b-xs">
						                    <tbody>
						                        <tr>
						                            <td class="alert alert-danger"><i class="fa fa-frown-o"></i> &nbsp;Desempeño Bajo<span class="pull-right">(<?=$infBajo." - ".$supBajo ?>)</span></td>
						                            <td class="alert alert-danger"><strong><?=$conBajos ?></strong> Asignaturas</td>
						                            <td class="alert alert-danger"><span class="pie"><?=$conBajos ?>/<?=$conAsignaturas ?></span> &nbsp;&nbsp; <?=number_format(($conBajos / $conAsignaturas) * 100,0) ?> %</td>
						                        </tr>
						                        <tr>
						                            <td class="alert alert-info"><i class="fa fa-meh-o"></i> &nbsp;Desempeño Básico<span class="pull-right">(<?=$infBasico." - ".$supBasico ?>)</span></td>
						                            <td class="alert alert-info"><strong><?=$conBasicos ?></strong> Asignaturas</td>
						                            <td class="alert alert-info"><span class="pie"><?=$conBasicos ?>/<?=$conAsignaturas ?></span> &nbsp;&nbsp; <?=number_format(($conBasicos / $conAsignaturas) * 100,0) ?> %</td>
						                        </tr>
						                        <tr>
						                            <td class="alert alert-warning"><i class="fa fa-smile-o"></i> &nbsp;Desempeño Alto<span class="pull-right">(<?=$infAlto." - ".$supAlto ?>)</span></td>
						                            <td class="alert alert-warning"><strong><?=$conAltos ?></strong> Asignaturas</td>
						                            <td class="alert alert-warning"><span class="pie"><?=$conAltos ?>/<?=$conAsignaturas ?></span> &nbsp;&nbsp; <?=number_format(($conAltos / $conAsignaturas) * 100,0) ?> %</td>
						                        </tr>
						                        <tr>
						                            <td class="alert alert-success"><i class="fa fa-star"></i> &nbsp;Desempeño Superior<span class="pull-right">(<?=$infSuperior." - ".$supSuperior ?>)</span></td>
						                            <td class="alert alert-success"><strong><?=$conSuperiores ?></strong> Asignaturas</td>
						                            <td class="alert alert-success"><span class="pie"><?=$conSuperiores ?>/<?=$conAsignaturas ?></span> &nbsp;&nbsp; <?=number_format(($conSuperiores / $conAsignaturas) * 100,0) ?> %</td>
						                        </tr>
						                        <tr>
						                            <td><i class="fa fa-thumbs-o-down"></i> &nbsp;Sin Desempeño<span class="pull-right">Sin Nota</span></td>
						                            <td><strong><?=$conAsignaturas - $totalConDesempenos ?></strong> Asignaturas</td>
						                            <td><span class="pie"><?=$conAsignaturas - $totalConDesempenos ?>/<?=$conAsignaturas ?></span> &nbsp;&nbsp; <?=number_format((($conAsignaturas - $totalConDesempenos) / $conAsignaturas) * 100,0) ?> %</td>
						                        </tr>
						                    </tbody>
						                </table>
						            </div>
						            <div class="col-md-4">
						                <h3>Porcentaje Desempeño</h3>
						                <div class="flot-chart">
						                    <div class="flot-chart-pie-content" id="flot-pie-chart"></div>
						                </div>
						            </div>
						            <div class="col-md-3">
						                <h3>Promedio Periodo</h3>
						                <div class="widget-head-color-box default-bg p-lg text-center" style="margin-top: -50px;">
						                    <i class="big-icon"><?=number_format($promedioEstudiante,1) ?></i>
						                </div>
						            </div>
						        </div>
						        <?php
						    }
						?>
						<script src="../../js/demo/peity-demo.js"></script>

						<!-- Flot -->
						<script src="../../js/plugins/flot/jquery.flot.js"></script>
						<script src="../../js/plugins/flot/jquery.flot.tooltip.min.js"></script>
						<script src="../../js/plugins/flot/jquery.flot.resize.js"></script>
						<script src="../../js/plugins/flot/jquery.flot.pie.js"></script>
						<script src="../../js/plugins/flot/jquery.flot.time.js"></script>

						<script type="text/javascript">
						    $(function() {
						        var bajos = <?=$conBajos ?>;
						        var basicos = <?=$conBasicos ?>;
						        var altos = <?=$conAltos ?>;
						        var superiores = <?=$conSuperiores ?>;
						        var sindesempe = <?=$conAsignaturas - $totalConDesempenos ?>;
						        var data = [{
						            label: "Bajo",
						            data: bajos,
						            color: "#F2DEDE",
						        }, {
						            label: "Basico",
						            data: basicos,
						            color: "#D9EDF7",
						        }, {
						            label: "Alto",
						            data: altos,
						            color: "#FCF8E3",
						        }, {
						            label: "Superior",
						            data: superiores,
						            color: "#DFF0D8",
						        }, {
						            label: "Sin Nota",
						            data: sindesempe,
						            color: "#bababa",
						        }];

						        var plotObj = $.plot($("#flot-pie-chart"), data, {
						            series: {
						                pie: {
						                    show: true
						                }
						            },
						            grid: {
						                hoverable: true
						            },
						            tooltip: true,
						            tooltipOpts: {
						                content: "%p.0%, %s", // show percentages, rounding to 2 decimal places
						                shifts: {
						                    x: 50,
						                    y: 0
						                },
						                defaultTheme: false
						            }
						        });

						    });

						</script>
                   	</div>
                </div>
            </form>
        </div>
    </div>
</div>
