<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$_GET['idsede']);

    $puestosCursos = array();
    $conCursos = 0;
    $datosCursosSede = colegios::datosCursosSede($_SESSION['aLectivo'],$_GET['idsede']);
    foreach ($datosCursosSede as $cursos) {
        $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$cursos['id_curso']);
    
        $conMatriculados = $sumaPromediosEstudiantes = 0;
        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$cursos['id_curso']);
        foreach ($datosEstudiantes as $estudiante) {
            $numNotas = $sumaNotas = 0;
            $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
            foreach ($notasEstudiante as $notas) {
                $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                if ($datosAreaAsignatura['id_area'] != 10){
                    if ($notas['recuperacion'] > $notas['definitiva'])
                        $sumaNotas += $notas['recuperacion'];
                    else
                        $sumaNotas += $notas['definitiva'];
                    $numNotas += 1;
                }
            }
            if ($numNotas >= 5)
                $sumaPromediosEstudiantes += number_format($sumaNotas / $numNotas,3);
            else
                $sumaPromediosEstudiantes += 0;
            $conMatriculados += 1;
        }
        
        $puestosCursos[$conCursos][0] = number_format($sumaPromediosEstudiantes / $conMatriculados,3);
        $puestosCursos[$conCursos][1] = $datosCurso['nomenclatura'];
        $puestosCursos[$conCursos][2] = $conMatriculados;
        $puestosCursos[$conCursos][3] = $sumaPromediosEstudiantes;
        $conCursos += 1;
    }
    rsort($puestosCursos);
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La función de impresion no esta soportada por su navegador.");
            }
        }
    </script>
</head>
<body onload="imprimir();">
    <div class="vista-reportes">
        <div>
            <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
            <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
            <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
            <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
            <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
        </div>
        <h1 class="no-margins text-center">LISTA DE GRADOS POR PUESTO</h1>
        <br>
        <table class='tablaMatriculas'>
            <tr>
                <td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Sede: <strong><?=$datosSede['nombre'] ?></strong></td>
                <td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Periodo: <strong><?=$_GET['periodo'] ?></strong></td>
                <td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo: <strong><?=$_SESSION['aLectivo'] ?></strong></td>
                <td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Fecha: <strong><?=date("Y-m-d") ?></strong></td>
            </tr>
        </table>
        <table class="tablaMatriculas" style="margin-top: 3px;">
            <thead>
                <tr>
                    <th>PUESTO</th>
                    <th>GRADO-CURSO</th>
                    <th>#ESTUDIANTES</th>
                    <th>TOTAL</th>
                    <th>PROMEDIO</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $numPuesto = 0;
                    for ($j = 0; $j < $conCursos; $j++){
                        $numPuesto = $j + 1; ?>
                        <tr>
                            <td><?=$numPuesto ?></td>
                            <td><?=$puestosCursos[$j][1] ?></td>
                            <td><?=$puestosCursos[$j][2] ?></td>
                            <td><?=$puestosCursos[$j][3] ?></td>
                            <td><?=$puestosCursos[$j][0] ?></td>
                        </tr>
                        <?php
                    }
                ?>
            </tbody>
        </table>
    </div>
</body>
