<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/docentes.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
	function calcularEdad($fecha){
	    $dias = explode("-", $fecha, 3);
	    $dias = mktime(0,0,0,$dias[1],$dias[0],$dias[2]);
	    $edad = (int)((time()-$dias)/31556926 );

	    $fecha_de_nacimiento = $fecha; 
	    $fecha_actual = date ("Y-m-d"); 
	    $array_nacimiento = explode ( "-", $fecha_de_nacimiento ); 
	    $array_actual = explode ( "-", $fecha_actual ); 
	    $anos =  $array_actual[0] - $array_nacimiento[0]; // calculamos años 
	    $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses 
	    $dias =  $array_actual[2] - $array_nacimiento[2]; // calculamos días 
	    //ajuste de posible negativo en $días 
	    if ($dias < 0) { 
	        --$meses; 
	        //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual 
	        switch ($array_actual[1]) { 
	           case 1:     $dias_mes_anterior=31; break; 
	           case 2:     $dias_mes_anterior=31; break; 
	           case 3:  
	                if (bisiesto($array_actual[0])) 
	                { 
	                    $dias_mes_anterior=29; break; 
	                } else { 
	                    $dias_mes_anterior=28; break; 
	                } 
	           case 4:     $dias_mes_anterior=31; break; 
	           case 5:     $dias_mes_anterior=30; break; 
	           case 6:     $dias_mes_anterior=31; break; 
	           case 7:     $dias_mes_anterior=30; break; 
	           case 8:     $dias_mes_anterior=31; break; 
	           case 9:     $dias_mes_anterior=31; break; 
	           case 10:     $dias_mes_anterior=30; break; 
	           case 11:     $dias_mes_anterior=31; break; 
	           case 12:     $dias_mes_anterior=30; break; 
	        } 
	        $dias=$dias + $dias_mes_anterior; 
	    } 
	    //ajuste de posible negativo en $meses 
	    if ($meses < 0) { 
	        --$anos; 
	        $meses=$meses + 12; 
	    } 
	    return $anos;
	}

    function bisiesto($anio_actual){ 
        $bisiesto = false; 
        //probamos si el mes de febrero del año actual tiene 29 días 
        if (checkdate(2,29,$anio_actual)) { 
            $bisiesto = true; 
        } 
        return $bisiesto;
    }
	
	$datosDocentes = docentes::datosDocentes();
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
    
    <link href="../../css/plugins/dataTables/datatables.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-calculator"></i> <span class="nav-label">Directorio Docentes</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Directorio Docentes</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Directorio</a>
                        </li>
                        <li class="active">
                            <strong>Directorio de Docentes</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h5>LISTA DE DOCENTES</h5>
                            </div>
                            <div class="ibox-content">
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered table-hover dataTables-example" >
                                        <thead>
                                            <tr>
                                				<th>#</th>
                                				<th>APELLIDOS Y NOMBRES</th>
                                				<th>DOCUMENTO</th>
                                				<th>EXPEDIDO</th>
                                				<th>DIRECCI&Oacute;N</th>
                                				<th>TEL&Eacute;FONO</th>
                                				<th>CORREO</th>
                                				<th>ESCALAF&Oacute;N</th>
                                				<th>TITULO</th>
                                				<th>EDAD</th>
                                				<th>ESTADO</th>
                                				<th>CONTRASEÑA</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                                if($datosDocentes){
                                                    $i = 1;
                                                    foreach ($datosDocentes as $docente) {
                                					    if ($docente['id_estado'] != 1)
                                					        $estado = "RETIRADO";
                                					    else
                                					        $estado = "ACTIVO";
                                					    $edadDocente = calcularEdad($docente['fecha_nacimiento']); ?>
                                						<tr class="gradeX">
                                    						<td class="tooltip-demo"><?=$i ?></td>
                                    						<td><?=$docente['apellidos']." ".$docente['nombres'] ?></td>
                                    						<td><?=$docente['documento'] ?></td>
                                    						<td><?=$docente['municipio_documento'] ?></td>
                                    						<td><?=$docente['direccion'] ?></td>
                                    						<td><?=$docente['telefono'] ?></td>					
                                    						<td><?=$docente['correo'] ?></td>
                                    						<td><?=$docente['escalafon'] ?></td>
                                    						<td><?=$docente['titulo'] ?></td>
                                    						<td><?=$edadDocente." A&ntilde;os" ?></td>
                                    						<td><?=$estado ?></td>
                                    						<td><?=$docente['clave'] ?></td>
                                						</tr>
                                						<?php
                                						$i++;
                                                    }
                                                }
                                                else{ ?>
                                                    <tr>
                                                        <td colspan="11">No existen Docentes registrados</td>
                                                    </tr>
                                                    <?php
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/toastr/toastr.min.js"></script>
    
    <script src="../../js/plugins/dataTables/datatables.min.js"></script>
    
    <script>
        $(document).ready(function () {
            $('.dataTables-example').DataTable({
                pageLength: 25,
                responsive: true,
                dom: '<"html5buttons"B>lTfgitp',
                buttons: [
                    {extend: 'copy'},
                    {extend: 'excel', title: 'Directorio Docentes'},
                    {extend: 'pdf', title: 'Directorio Docentes'},

                    {extend: 'print',
                     customize: function (win){
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');

                        $(win.document.body).find('table')
                            .addClass('compact')
                            .css('font-size', 'inherit');
                    }
                    }
                ]

            });
        });

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
