<?php
	session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/notas.php";
    require_once "../../../clases/estudiantes.php";

	$numPeriodo = $_GET['idperiodo'];
	$idMatricula = $_GET['idmatricula'];
	$idCurso = $_GET['idcursohacia'];
	$idSede = $_GET['idsede'];
	$nombreEstudiante = $_GET['estudiante'];

    $datosMatricula = estudiantes::datosMatriculaEstudiante($_SESSION['aLectivo'],$idMatricula);
    $idEstudiante = $datosMatricula['id_estudiante'];
	

	$datosGradoSedeCurso = colegios::datosGradoSedeCurso($_SESSION['aLectivo'],$idCurso);
    $datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
    $conAsignaturas = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = 0;
?>
    <div class="row">
        <div class="col-lg-12">
    		<div class="table-responsive">
    		    <input type="hidden" name="idEstudianteP" id="idEstudianteP" value="<?=$idEstudiante ?>">
    		    <input type="hidden" name="idSedeP" id="idSedeP" value="<?=$idSede ?>">
    		    <input type="hidden" name="idMatriculaP" id="idMatriculaP" value="<?=$idMatricula ?>">
    		    <table class="table table-striped table-bordered table-hover">
    		        <thead>
    		            <tr>
    		                <th>AREAS/ASIGNATURAS</th>
    		                <th>DEFINITIVA</th>
    		            </tr>
    		        </thead>
    		        <tbody>
    		            <?php
    		                foreach ($datosAreas as $area) {
    		                	$swTituloArea = 1;
    		                    $datosAsignaturasArea = colegios::datosAsignaturasArea($_SESSION['aLectivo'],$area['id_area']);
    		                    foreach ($datosAsignaturasArea as $asignaturaarea) {
    		                        $datosAsignaturaGradoSede = colegios::datosAsignaturaGradoSede($_SESSION['aLectivo'],$asignaturaarea['id_asignatura'],$datosGradoSedeCurso['id_grado_sede']);
    		                        if (count($datosAsignaturaGradoSede)){
    			                        $idAsignaturaGrado = $datosAsignaturaGradoSede['id_asignatura_grado']; ?>
			                        	<tr>
                    						<td><i class="fa fa-book"></i> <?=$asignaturaarea['descripcion'] ?></td>
                    						<td><input type="text" name="NH<?=$idAsignaturaGrado ?>" id="DE<?=$conAsignaturas ?>" value="" maxlength="3" onKeyPress="return soloNotas(event)" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                    					</tr>
			                        	<?php $conAsignaturas++; ?>
    			                        <input type="hidden" name="H<?=$idAsignaturaGrado ?>" id="H<?=$idAsignaturaGrado ?>" value="<?=$idAsignaturaGrado ?>">
    			                        <?php
    			                    }
    		                    }
    			            }
    			        ?>
    		        </tbody>
    		    </table>
    		</div>
            <div class="form-group">
                <div class="col-lg-12">
                    <label>Observaciones:</label>
                    <textarea class="form-control m-b" id="observaciones" name="observaciones"></textarea>
               </div>
            </div>
    		<label class="btn btn-primary" onclick="promocionarEstudiante()"><i class="fa fa-save"> </i> Promocionar Estudiante</label>
    		<label class="btn btn-default" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
       	</div>
    </div>

    <script>
        function promocionarEstudiante(){
            if($('#observaciones').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese las observaciones para la Promoción Anticipada del Estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else {
                swal({
                    title: "¿Está seguro que desea realizar la Promoción Anticipada del Estudiante?",
                    text: "Este proceso tomará las notas del primer periodo en cada asignatura y las asignará como nota definitiva para efectos de generar el certificado de estudios del Estudiante para grado actual. Igualmente, tomará estas notas y las asignará a cada asignatura del siguiente grado para el primer periodo del presente año lectivo.",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Promover el Estudiante",
                    closeOnConfirm: false
                }, function () {
                    $.ajax({
                        type: 'POST',
                        url: 'php/guardar-notas-estudiante-promocion.php',
                        data: $("#datos-planilla").serialize() + '&idmatricula=' + $('#idmatricula').val() + '&periodo=' + $('#periodo').val(),
                        success:function(msj){
                            if (msj > 0){
                                estadoPromocionadoMatriculaEstudiante();
                            }
                            else{
                                swal({
                                    title: "Error!",
                                    text: "Se presento un problema al actualizar la planilla de calificaciones en la promoción. Por favor intentelo más tarde",
                                    type: "error"
                                });
                            }
                        },
                        error:function(){
                            swal({
                                title: "Error de conexión!",
                                text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                                type: "error"
                            });
                        }
                    });
                });
            }
        }
        
        function estadoPromocionadoMatriculaEstudiante(){
            $.ajax({
                type: 'POST',
                url: 'php/estado-promocionado-matricula-estudiante.php',
                data: $("#datos-planilla").serialize(),
                success:function(msj){
                    if (msj > 0){ 
                        matriculaEstudiantePromocion()
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema en el estado de la promoción del estudiante. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }
        
        function matriculaEstudiantePromocion(){
            $.ajax({
                type: 'POST',
                url: 'php/matricula-estudiante-promocion.php',
                data: $("#datos-planilla").serialize(),
                success:function(msj){
                    if (msj > 0){ 
                        notasEstudiantePromocionado(msj);
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema en la matricula de la promoción del estudiante. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }
        function notasEstudiantePromocionado(idMatriculaNueva){
            $.ajax({
                type: 'POST',
                url: 'php/guardar-notas-estudiante-promocionado.php',
                data: $("#datos-planilla").serialize() + '&idmatriculanueva=' + idMatriculaNueva,
                success:function(msj){
                    if (msj > 0){
                        document.getElementById("idcurso").selectedIndex = 0;
                        document.getElementById("idmatricula").selectedIndex = 0;
                        document.getElementById("idmatricula").disabled = true;
                        document.getElementById("periodo").selectedIndex = 0;
                        document.getElementById("periodo").disabled = true;
                        $('#contenido').hide();
                        swal({
                            title: "Excelente!",
                            text: "La promoción del Estudiante se ha realizado satisfactoriamente.",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar la planilla de calificaciones en la promoción. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

    </script>