<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../configuracion/configuracion.php";
    require_once "../conexion/conexion.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../sin-sesion.php");
    }

    date_default_timezone_set('America/Bogota');
    if (date("H") < 12)
        $saludoActual = "Buenos días ".$_SESSION['nombresUsuario'];
    elseif (date("H") >= 12 && date("H") < 18)
        $saludoActual = "Buenas tardes ".$_SESSION['nombresUsuario'];
    else
        $saludoActual = "Buenas noches ".$_SESSION['nombresUsuario'];

    $rutaEscudo = "../escudos/es".$_SESSION['idColegio'].".jpg";
?>

<!DOCTYPE html>
<html lang="es">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">

    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../imagenes/escudo-tunja.png">

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">

    <link href="../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../css/plugins/toastr/toastr.min.css" rel="stylesheet">

</head>

<body onload="deshabilitaRetroceso()">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a href=""><i class="fa fa-home"></i> <span class="nav-label">Inicio</span></a>
                    </li>
                    <?php
                        if($_SESSION['privilegioMatricular']){ ?>
                            <li>
                                <a href="#"><i class="fa fa-user-plus"></i> <span class="nav-label">Matriculas</span> <span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse">
                                    <li class="special_link">
                                        <a onclick="nuevaMatricula2024()">Matricula Nueva 2024</a>
                                    </li>
                                    <li>
                                        <a data-toggle="modal" href="#renovar2024" onclick="cargueEstudiantesSinRenovar2024()">Renovar Matricula 2024</a>
                                    </li>
                                    <li>
                                        <a onclick="exportarDatos()">Exportar Datos</a>
                                    </li>
                                    <li>
                                        <a onclick="promocionAnticipada()">Promoción Anticipada</a>
                                    </li>
                                </ul>
                            </li>
                            <?php
                        }
                    ?>
                    <?php
                        if ($_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                            <li>
                                <a href="#"><i class="fa fa-archive"></i> <span class="nav-label">Secretaria</span> <span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse">
                                    <li><a onclick="generarConstancias()">Constancias</a></li>
                                    <li><a onclick="generarPazySalvos()">Paz y Salvos</a></li>
                                    <li><a onclick="generarOrdenMatricula()">Ordenes de Matricula</a></li>
                                    <li><a onclick="generarFormatos()">Formatos</a></li>
                                    <li><a onclick="generarCarnets()">Carnet Estudiantil</a></li>
                                    <li><a onclick="certificadosFinales()">Certificados Finales</a></li>
                                    <li><a onclick="librosFinales()">Libros Finales</a></li>

                                    <!--
                                    <li><a href="#">Certificados</a></li>
                                    <li><a href="#">Permisos</a></li>
                                    <li><a href="#">Ordenes de Matricula</a></li>
                                    <li><a href="#">Carnet</a></li>
                                    <li><a href="#">Libro Matriculas</a></li>
                                    <li><a href="#">Libro Final</a></li>
                                    <li><a href="#">Directorios</a></li>
                                    -->
                                </ul>
                            </li>
                            <?php
                        }
                    ?>
                    <?php
                        if ($_SESSION['idPerfilUsuario'] == 1 || $_SESSION['idPerfilUsuario'] == 2 || $_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 4 || $_SESSION['idPerfilUsuario'] == 5 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                            <li>
                                <a href="#"><i class="fa fa-users"></i> <span class="nav-label">Estudiantes</span> <span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse">
                                    <li>
                                        <a data-toggle="modal" href="#buscarestudiante">Buscar por Nombre</a>
                                    </li>
                                    <li>
                                        <a data-toggle="modal" href="#fichaestudiante" onclick="cargueEstudiantesFichaEstudiante()">Ver Ficha Registro</a>
                                    </li>
                                    <?php
                                        if($_SESSION['privilegioActualizar'] || $_SESSION['privilegioMatricular']){ ?>
                                            <li>
                                                <a href="estudiantes/actualizacion-masiva.php">Cambio Datos Masivos</a>
                                            </li>
                                            <li>
                                                <a href="estudiantes/gestion-por-curso.php">Gestión por Curso</a>
                                            </li>
                                            <?php
                                        }
                                        if($_SESSION['idPerfilUsuario'] == 99){ ?>
                                            <li>
                                                <a href="estudiantes/editar-fotos.php">Editar Fotos</a>
                                            </li>
                                            <li>
                                                <a href="estudiantes/subir-fotos.php">Subir Fotos Local</a>
                                            </li>
                                            <?php
                                        }
                                        if($_SESSION['idPerfilUsuario'] == 99){ ?>
                                            <li>
                                                <a href="estudiantes/index.php" target="_blank">Subir Fotos Server</a>
                                            </li>
                                            <?php
                                        }
                                    ?>
                                    <li>
                                        <a href="estudiantes/observador-estudiante.php">Formato Observador</a>
                                    </li>
                                    <li>
                                        <a href="listas/listas-estudiantes.php">Listados</a>
                                    </li>
                                    <li>
                                        <a href="listas/planillas-estudiantes.php">Planillas y Formatos</a>
                                    </li>
                                    <li>
                                        <a href="listas/listas-especialidad.php">Listas por Especialidad</a>
                                    </li>
                                </ul>
                            </li>
                            </li>
                            <?php
                        }
                    ?>
                    <?php
                        if ($_SESSION['idPerfilUsuario'] == 1 || $_SESSION['idPerfilUsuario'] == 2 || $_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 5 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                            <li>
                                <a href="#"><i class="fa fa-user-secret"></i> <span class="nav-label">Docentes</span> <span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse">
                                    <li>
                                        <a href="docentes/gestion-docentes.php">Gestión Docentes</a>
                                    </li>
                                    <?php
                                        if($_SESSION['idPerfilUsuario'] == 1 || $_SESSION['idPerfilUsuario'] == 2 ||$_SESSION['idPerfilUsuario'] == 3 ||  $_SESSION['idPerfilUsuario'] == 99){ ?>
                                            <li>
                                                <a href="docentes/asignacion-academica-curso.php">Asignación Académica</a>
                                            </li>
                                            <?php
                                        }
                                    ?>
                                    <li>
                                        <a href="docentes/descriptores-curso.php">Descriptores</a>
                                    </li>
                                    <li>
                                        <a href="docentes/directores-cursos.php">Directores de Curso</a>
                                    </li>
                                    <?php
                                        if($_SESSION['idPerfilUsuario'] == 1 || $_SESSION['idPerfilUsuario'] == 2 ||$_SESSION['idPerfilUsuario'] == 3 ||  $_SESSION['idPerfilUsuario'] == 99){ ?>
                                            <li>
                                                <a onclick="seguimientoNotasDocente()">Seguimiento Notas</a>
                                            </li>
                                            <?php
                                        }
                                    ?>
                                    <li>
                                        <a href="docentes/carga-asignada.php">Carga Asignada</a>
                                    </li>
                                    <li>
                                        <a href="docentes/planillas-docente.php">Planillas</a>
                                    </li>
                                    <?php
                                        if($_SESSION['idPerfilUsuario'] == 3 ||  $_SESSION['idPerfilUsuario'] == 99){ ?>
                                            <li>
                                                <a onclick="directorioDocentes()">Directorio</a>
                                            </li>
                                            <?php
                                        }
                                    ?>
                                    </li>
                                </ul>
                            </li>
                            <?php
                        }
                    ?>
                    <?php
                        if ($_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                            <li>
                                <a href="#"><i class="fa fa-calculator"></i> <span class="nav-label">Calificaciones</span> <span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse">
                                    <li><a onclick="calificacionesPeriodoCurso()">Notas por Curso</a></li>
                                    <li><a onclick="calificacionesPeriodoEstudiante()">Notas por Estudiante</a></li>
                                    <li><a onclick="habilitacionesEstudiante()">Habilitaciones Estudiante</a></li>
                                </ul>
                            </li>
                            <?php
                        }
                    ?>
                    <?php
                        if ($_SESSION['idPerfilUsuario'] == 1 || $_SESSION['idPerfilUsuario'] == 2 || $_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 5 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                            <li>
                                <a href="#"><i class="fa fa-calculator"></i> <span class="nav-label">Informes</span> <span class="fa arrow"></span></a>
                                <ul class="nav nav-second-level collapse">
                                    <li><a onclick="consolidadosCurso()">Consolidados Notas por Asignatura</a></li>
                                    <li><a onclick="consolidadosCursoArea()">Consolidados Notas por Area</a></li>
                                    <li><a onclick="reportesPeriodo()">Reportes por Periodo</a></li>
                                    <li><a onclick="puestosEstudiantes()">Puestos Estudiantes</a></li>
                                    <li><a onclick="puestosGrados()">Puestos Grados</a></li>
                                    <li><a onclick="consolidadosFaltantes()">Notas Faltantes</a></li>
                                    <li><a onclick="consolidadosFinales()">Notas Finales</a></li>
                                    <li><a onclick="consolidadosFinalesArea()">Notas Finales Area</a></li>
                                    <li><a onclick="consolidadosFallas()">Consolidados Fallas</a></li>
                                    <li><a onclick="estudiantesRetirados()">Estudiantes Retirados</a></li>
                                    <li><a onclick="estudiantesDiscapacidad()">Estudiantes con Discapacidad</a></li>
                                    <li>
                                        <a data-toggle="modal" href="#seleccionarFechasMatricula">Estudiantes con Fecha de Matricula</a>
                                    </li>
                                    <li><a onclick="consolidadoDane()">Consolidado Matricula DANE</a></li>
                                    <li><a onclick="consolidadoMatriculaSedeCursos()">Consolidado Matricula por Cursos</a></li>
                                    <li><a onclick="consolidadoMatriculaSedeGrados()">Consolidado Matricula por Grados</a></li>
                                    <li><a onclick="evaluacionGradoPeriodo()">Evaluación x Grado</a></li>
                                </ul>
                            </li>
                            <?php
                        }
                    ?> 
                    <?php
                        if ($_SESSION['idPerfilUsuario'] == 1 || $_SESSION['idPerfilUsuario'] == 2 || $_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                            <li>
                                <a onclick="consultaPlaneadorClases()"><i class="fa fa-list-ul"></i> <span class="nav-label"> Planeadores de Clases</span></a>
                            </li>
                            <?php
                        }
                    ?>
                   <?php
                        if ($_SESSION['idPerfilUsuario'] == 1 || $_SESSION['idPerfilUsuario'] == 2 || $_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                            <li>
                                <a onclick="moduloObservador()"><i class="fa fa-hand-pointer-o"></i> <span class="nav-label"> Observador</span></a>
                            </li>
                            <?php
                        }
                    ?>
                    <?php
                        if ($_SESSION['idPerfilUsuario'] == 1 || $_SESSION['idPerfilUsuario'] == 2 || $_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                            <li>
                                <a onclick="moduloElecciones()"><i class="fa fa-hand-pointer-o"></i> <span class="nav-label"> Elecciones</span></a>
                            </li>
                            <?php
                        }
                    ?>
                    <li>
                        <a onclick="cerrarSesion()"><i class="fa fa-sign-out"></i> <span class="nav-label"> Salir</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                        <form role="search" class="navbar-form-custom" action="resultado-busqueda-estudiantes.php">
                            <div class="form-group">
                                <input type="text" placeholder="Buscar estudiante..." class="form-control" name="textoabuscar" id="textoabuscar">
                            </div>
                        </form>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                            <a onclick="actualizarPerfilUsuario()">
                                <i class="fa fa-user-circle-o"></i> Usuario
                            </a>
                        </li>
                        <?php
                            if ($_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                                <li class="dropdown">
                                    <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                        <i class="fa fa-calendar"></i> Programar Periodos <b class="caret"></b>
                                    </a>
                                    <ul class="dropdown-menu dropdown-alerts">
                                    <?php
                                        if ($_SESSION['moduloNotas'] == 1){ ?>
                                            <li><a onclick="programarCalificaciones()"><div><i class="fa fa-flag fa-fw"></i> Calificaciones por Periodo</div></a></li>
                                            <?php
                                        }
                                        if ($_SESSION['moduloRecuperaciones'] == 1){ ?>
                                            <li><a onclick="programarRecuperaciones()"><div><i class="fa fa-flag-o fa-fw"></i> Recuperaciones por Periodo</div></a></li>
                                            <?php
                                        }
                                        if ($_SESSION['moduloHabilitaciones'] == 1){ ?>
                                            <li><a onclick="programarHabilitaciones()"><div><i class="fa fa-flag-checkered fa-fw"></i> Habilitaciones Finales</div></a></li>
                                            <?php
                                        }
                                    ?>
                                    </ul>
                                </li>
                                <?php
                            }
                            if ($_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                                <li class="dropdown">
                                    <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                        <i class="fa fa-map-o"></i> Pei <b class="caret"></b>
                                    </a>
                                    <ul class="dropdown-menu dropdown-alerts">
                                        <li><a onclick="admonGradosCursos()"><div><i class="fa fa-cubes fa-fw"></i> Grados y Cursos</div></a></li>
                                        <li><a onclick="admonAreasAsignaturas()"><div><i class="fa fa-book fa-fw"></i> Areas y Asignaturas</div></a></li>
                                        <li><a onclick="planEstudiosCurso()"><div><i class="fa fa-map fa-fw"></i> Plan de Estudios</div></a></li>
                                    </ul>
                                </li>
                                <?php
                            }
                            if ($_SESSION['idPerfilUsuario'] == 3 || $_SESSION['idPerfilUsuario'] == 99){ ?>
                                <li class="dropdown">
                                    <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                        <i class="fa fa-cog"></i> Configuración <b class="caret"></b>
                                    </a>
                                    <ul class="dropdown-menu dropdown-alerts">
                                        <?php
                                            if($_SESSION['idPerfilUsuario'] == 5) { ?>
                                                <li><a onclick="cambiarALectivo()"><div><i class="fa fa-calendar fa-fw"></i> Cambiar Año Lectivo</div></a></li>
                                                <?php
                                            } else { ?>
                                                <li><a onclick="datosColegio()"><div><i class="fa fa-bank fa-fw"></i> Datos del Colegio</div></a></li>
                                                <li><a onclick="gestionUsuarios()"><div><i class="fa fa-user-circle fa-fw"></i> Gestión Usuarios</div></a></li>
                                                <li><a onclick="consultaNotasWeb()"><div><i class="fa fa-cubes fa-fw"></i> Consulta Académica en Web</div></a></li>
                                                <li><a onclick="cambiarALectivo()"><div><i class="fa fa-calendar fa-fw"></i> Cambiar Año Lectivo</div></a></li>
                                                <?php
                                            }
                                        ?>
                                    </ul>
                                </li>
                                <?php
                            }
                        ?>
                        <?php
                            if ($_SESSION['idPerfilUsuario'] == 99){ ?>
                                <li class="dropdown">
                                    <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                        <i class="fa fa-cogs"></i> Administración <b class="caret"></b>
                                    </a>
                                    <ul class="dropdown-menu dropdown-alerts">
                                        <li><a onclick="subirEstudiantesMatriculas()"><div><i class="fa fa-upload fa-fw"></i> Subir Estudiantes y Matricula</div></a></li>
                                        <li><a onclick="subirDocentes()"><div><i class="fa fa-upload fa-fw"></i> Subir Docentes</div></a></li>
                                        <li><a onclick="carnetizacionEstudiantil()"><div><i class="fa fa-credit-card fa-fw"></i> Carnet Estudiantes</div></a></li>
                                        <li><a onclick="carnetizacionEstudiantilReves()"><div><i class="fa fa-credit-card fa-fw"></i> Carnet Estudiantes (Revés)</div></a></li>
                                        <li><a onclick="tomarFotos()"><div><i class="fa fa-credit-card fa-fw"></i> Tomar Fotos Carnet Estudiantes</div></a></li>
                                    </ul>
                                </li>
                                <?php
                            }
                        ?>
                        <li class="dropdown">
                            <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                <i class="fa fa-envelope"></i>  <span class="label label-warning">0</span>
                            </a>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Menu Principal</h2>
                    <ol class="breadcrumb">
                        <li class="active">
                            <a href="">Inicio</a>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox float-e-margins">
                            <p class="text-center">
                                <br><br>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="20%" />
                                <br><br>
                            </p>
                            <h1 class="text-center">
                                <?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?>
                            </h1>
                            <h3 class="text-center">
                                <?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?>
                            </h3>
                            <h2 class="text-center">
                                AÑO LECTIVO <?=$_SESSION['aLectivo'] ?>
                            </h2>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>

        <div id="buscarestudiante" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Buscar Estudiante</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Digite el Estudiante a Consultar:</label>
                            <form role="search" class="form-horizontal" action="resultado-busqueda-estudiantes.php">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <input type="text" placeholder="Buscar estudiante..." class="form-control" name="textoabuscar" id="textoabuscar">
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="submit" class="btn btn-primary pull-left"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="modificarmatricula" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Modificar Datos de Matricula de Estudiante</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Seleccione el Estudiante:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <select class="form-control m-b" id="idrenovados">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="button" class="btn btn-primary pull-left" onclick="modificarMatricula()"><i class="fa fa-check"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="renovar" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Renovar Matricula de Estudiante</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Seleccione el Estudiante:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <select class="form-control m-b" id="idsinrenovar">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="button" class="btn btn-primary pull-left" onclick="renovarMatricula()"><i class="fa fa-check"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="renovar2022" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Renovar Matricula de Estudiante 2022</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Seleccione el Estudiante:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <select class="form-control m-b" id="idsinrenovar2022">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="button" class="btn btn-primary pull-left" onclick="renovarMatricula2022()"><i class="fa fa-check"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="renovar2023" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Renovar Matricula de Estudiante 2023</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Seleccione el Estudiante:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <select class="form-control m-b" id="idsinrenovar2023">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="button" class="btn btn-primary pull-left" onclick="renovarMatricula2023()"><i class="fa fa-check"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="renovar2024" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Renovar Matricula de Estudiante 2024</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Seleccione el Estudiante:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <select class="form-control m-b" id="idsinrenovar2024">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="button" class="btn btn-primary pull-left" onclick="renovarMatricula2024()"><i class="fa fa-check"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="fichaestudiante" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Consultar Ficha del Estudiante</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Seleccione el Estudiante:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <select class="form-control m-b" id="idfichaestudiantes">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="button" class="btn btn-primary pull-left" onclick="consultarFichaEstudiante()"><i class="fa fa-check"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="seleccionarFechasMatricula" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Seleccionar Fechas</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <div class="row">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Fecha Inicio:</label>
                                        <input type="date" class="form-control" value="" id="fechainicio">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <br>
                                        <label>Fecha Final:</label>
                                        <input type="date" class="form-control" value="" id="fechafinal">
                                    </div>
                                </div>
                                
                                <div class="col-sm-12">
                                    <hr>
                                    <button type="button" class="btn btn-primary pull-left" onclick="generarListaFechaMatricula()"><i class="fa fa-check"></i> Generar Lista</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-3.1.1.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>

    <script src="../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../js/plugins/toastr/toastr.min.js"></script>

    <script>
        $(document).ready(function(){
            if ("<?=$_SESSION['idSaludo'] ?>" == 0){
                setTimeout(function() {
                    toastr.options = {
                        closeButton: true,
                        progressBar: true,
                        showMethod: 'slideDown',
                        timeOut: 4000
                    };
                    toastr.success("<?=$saludoActual ?>");

                }, 1300);
            }
            <?=$_SESSION['idSaludo'] = 1; ?>
        });

        function generarListaFechaMatricula(){
            if($('#fechainicio').val() != 0 && $('#fechafinal').val() != 0){
                window.open("informes/vista-lista-fecha-matricula.php?fechainicio=" + $('#fechainicio').val() + "&fechafinal=" + $('#fechafinal').val(), "_blank");
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado una fecha.",
                    type: "info"
                });
            }
        }

        function promocionAnticipada(){
            window.location.href = "estudiantes/promocion-anticipada.php";
        }

        function consultaPlaneadorClases() {
            window.location.href = "planeador/seleccionar-planeador.php";
        }

        function consolidadoMatriculaSedeGrados(){
            window.open("informes/vista-consolidado-matricula-sede-grados.php", "_blank");
        }

        function consolidadoMatriculaSedeCursos(){
            window.open("informes/vista-consolidado-matricula-sede-cursos.php", "_blank");
        }

        function moduloObservador() {
            window.location.href = "../observador/observador.php";
        }
        
        function directorioDocentes(){
            window.location.href = "docentes/directorio-docentes.php";
        }

        function habilitacionesEstudiante(){
            window.location.href = "calificaciones/habilitaciones-estudiante.php";
        }

        function librosFinales(){
            window.location.href = "calificaciones/libros-finales.php";
        }

        function certificadosFinales(){
            window.location.href = "calificaciones/certificados-finales.php";
        }

        function consolidadosFinales(){
            window.location.href = "calificaciones/consolidado-finales.php";
        }

        function consolidadosFinalesArea(){
            window.location.href = "calificaciones/consolidado-finales-area.php";
        }

        function consolidadosFaltantes(){
            window.location.href = "calificaciones/consolidado-faltantes.php";
        }

        function consolidadoDane(){
            window.open("informes/vista-dane.php", "_blank");
        }

        function estudiantesDiscapacidad(){
            window.open("informes/vista-lista-con-discapacidad.php", "_blank");
        }

        function estudiantesRetirados(){
            window.open("informes/vista-lista-retirados.php", "_blank");
        }

        function generarCarnets(){
            window.location.href = "secretaria/carnets.php";
        }
 
        function exportarDatos(){
            window.location.href = "secretaria/exportar-datos.php";
        }

        function puestosGrados(){
            window.location.href = "calificaciones/puestos-grados-periodo.php";
        }

        function puestosEstudiantes(){
            window.location.href = "calificaciones/puestos-estudiantes-periodo.php";
        }

        function generarFormatos(){
            window.location.href = "secretaria/generar-formatos.php";
        }

        function reportesPeriodo(){
            window.location.href = "calificaciones/reportes-periodo.php";
        }

        function consolidadosCursoArea(){
            window.location.href = "calificaciones/consolidado-areas-periodos.php";
        }

        function consolidadosCurso(){
            window.location.href = "calificaciones/consolidado-asignaturas-periodo.php";
        }

        function evaluacionGradoPeriodo(){
            window.location.href = "informes/evaluacion-grado-periodo.php";
        }

        function consolidadosFallas(){
            window.location.href = "fallas/consolidado-asignaturas-periodo.php";
        }

        function calificacionesPeriodoCurso(){
            window.location.href = "calificaciones/calificaciones-periodo-curso.php";
        }

        function calificacionesPeriodoEstudiante(){
            window.location.href = "calificaciones/calificaciones-periodo-estudiante.php";
        }

        function generarOrdenMatricula(){
            window.location.href = "secretaria/orden-matricula.php";
        }

        function generarPazySalvos(){
            window.location.href = "secretaria/paz-y-salvos.php";
        }

        function generarConstancias(){
            window.location.href = "secretaria/editar-constancia.php";
        }

        function programarHabilitaciones(){
            window.location.href = "periodos/programar-habilitaciones.php";
        }

        function programarRecuperaciones(){
            window.location.href = "periodos/programar-recuperaciones.php";
        }

        function programarCalificaciones(){
            window.location.href = "periodos/programar-calificaciones.php";
        }

        function moduloElecciones(){
            window.open("../elecciones/votaciones/resultados-candidatos.php", "_blank");
        }

        function seguimientoNotasDocente(){
            window.location.href = "docentes/seguimiento-notas-docente.php";
        }

        function planEstudiosCurso(){
            window.location.href = "pei/plan-estudios-grado.php";
        }

        function tomarFotos(){
            window.open("http://sised.com.co/sisedplus/?id=" + <?=$_SESSION['idColegio'] ?>, "_blank");
        }

        function carnetizacionEstudiantil(){
            window.location.href = "superadmin/carnet-estudiantil.php";
        }

        function carnetizacionEstudiantilReves(){
            window.location.href = "superadmin/carnets/respaldo-carnet-estudiantes" + <?=$_SESSION['idColegio'] ?> + ".php";
        }

        function actualizarPerfilUsuario(){
            window.location.href = "licencia/perfil-usuario.php";
        }

        function gestionUsuarios(){
            window.location.href = "licencia/gestion-usuarios.php";
        }

        function datosColegio(){
            window.location.href = "licencia/datos-colegio.php";
        }

        function cambiarALectivo(){
            window.location.href = "secretaria/cambiar-alectivo.php";
        }

        function subirDocentes(){
            window.location.href = "superadmin/tablas-docentes.php";
        }

        function subirEstudiantesMatriculas(){
            window.location.href = "superadmin/tablas-estudiantes-matricula.php";
        }

        function admonAreasAsignaturas(){
            window.location.href = "pei/admon-areas-asignaturas.php";
        }

        function admonGradosCursos(){
            window.location.href = "pei/admon-grados-cursos.php";
        }

        function nuevaMatricula(){
            window.location.href = "estudiantes/registrar-matricula.php";
        }

        function nuevaMatricula2022(){
            window.location.href = "estudiantes/registrar-matricula2022.php";
        }

        function nuevaMatricula2023(){
            window.location.href = "estudiantes/registrar-matricula2023.php";
        }
        
        function nuevaMatricula2024(){
            window.location.href = "estudiantes/registrar-matricula2024.php";
        }

        function cargueEstudiantesFichaEstudiante(){
            $.get('../php/cargue-datos.php?cargue=fichaestudiante',function(data){
                $('#idfichaestudiantes').html(data);
            });
        }

        function cargueEstudiantesSinRenovar2022(){
            $.get('../php/cargue-datos.php?cargue=sinrenovar',function(data){
                $('#idsinrenovar').html(data);
                $('#idsinrenovar2022').html(data);
            }); 
        }

        function cargueEstudiantesSinRenovar2023(){
            $.get('../php/cargue-datos.php?cargue=sinrenovar',function(data){
                $('#idsinrenovar').html(data);
                $('#idsinrenovar2023').html(data);
            }); 
        }

        function cargueEstudiantesSinRenovar2024(){
            $.get('../php/cargue-datos.php?cargue=sinrenovar',function(data){
                $('#idsinrenovar').html(data);
                $('#idsinrenovar2024').html(data);
            }); 
        }

        function consultarFichaEstudiante(){
            if($('#idfichaestudiantes').val() != 0){
                window.location.href = "estudiantes/ficha-estudiante.php?id=" + $('#idfichaestudiantes').val();
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
        }

        function renovarMatricula(){
            if($('#idsinrenovar').val() != 0){
                window.location.href = "estudiantes/renovar-matricula.php?id=" + $('#idsinrenovar').val();
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
        }

        function renovarMatricula2022(){
            if($('#idsinrenovar2022').val() != 0){
                window.location.href = "estudiantes/renovar-matricula2022.php?id=" + $('#idsinrenovar2022').val();
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
        }

        function renovarMatricula2023(){
            if($('#idsinrenovar2023').val() != 0){
                window.location.href = "estudiantes/renovar-matricula2023.php?id=" + $('#idsinrenovar2023').val();
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
        }

        function renovarMatricula2024(){
            if($('#idsinrenovar2024').val() != 0){
                window.location.href = "estudiantes/renovar-matricula2024.php?id=" + $('#idsinrenovar2024').val();
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
        }

        function deshabilitaRetroceso(){
            window.location.hash="no-back-button";
            window.location.hash="Again-No-back-button" //chrome
            window.onhashchange=function(){window.location.hash="no-back-button";}
        }

        function cerrarSesion(){
            window.location.href = "../fin-sesion.php";
        }
    </script>

</body>

</html>
