<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosGrados = colegios::datosGrados();
    $datosAsignaturas = colegios::datosAsignaturas($_SESSION['aLectivo']);
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a href=""><i class="fa fa-calculator"></i> <span class="nav-label">Evaluación x Grado</span></a>
                    </li>
                    <!--
                    <li>
                        <a href="consolidado-asignaturas-periodos.php"><i class="fa fa-calculator"></i> <span class="nav-label">Consolidado Acumulado</span></a>
                    </li>
                    -->
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Informes Evaluación por Grado</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Informes</a>
                        </li>
                        <li class="active">
                            <strong>Evaluación por Grado</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h5>Seleccionar Grado, Asignatura y Periodo</h5>
                            </div>
                            <div class="ibox-content">
                                <form class="form-horizontal">
                                    <div class="form-group">
                                        <div class="col-lg-4">
                                            <label>Grados:</label>
                                            <select class="form-control m-b" id="idgrado" onchange="borrarContenido()">
                                                <option value="0">Seleccione un Grado...</option>
                                                <?php
                                                    foreach ($datosGrados as $grado) { ?>
                                                            <option value="<?=$grado['id_grado'] ?>"><?=$grado['descripcion'] ?></option>
                                                        <?php
                                                    }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="col-lg-4">
                                            <label>Asignaturas:</label>
                                            <select class="form-control m-b" id="idasignatura" onchange="borrarContenido()">
                                                <option value="0">Seleccione una Asignatura...</option>
                                                <?php
                                                    foreach ($datosAsignaturas as $asignatura) { ?>
                                                            <option value="<?=$asignatura['id_asignatura'] ?>"><?=$asignatura['descripcion'] ?></option>
                                                        <?php
                                                    }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="col-lg-2">
                                            <label>Periodos:</label>
                                            <select class="form-control m-b" id="periodo" onchange="borrarContenido()">
                                                <option value="0">...</option>
                                                <?php
                                                    for ($i=1; $i<=4; $i++){ ?>
                                                        <option value="<?=$i ?>"><?=$i ?></option>
                                                        <?php
                                                    }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="col-lg-2">
                                            <br>
                                            <label class="btn btn-primary" onclick="verInformeEvaluacionGrado()">Ver Informe</label>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row" id="contenido"></div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/toastr/toastr.min.js"></script>

    <script>
        $(document).ready(function () {
            $('#contenido').hide();
        });

        function imprimirConsolidado(){
            url = "vista-consolidado-asignaturas.php?periodo=" + $('#periodo').val() + "&idcurso=" + $('#idcurso').val();
            window.open(url,'_blank');
        }

        function verInformeEvaluacionGrado(){
            if ($('#idgrado').val() != 0 && $('#idasignatura').val() != 0 && $('#periodo').val() != 0){
                $.get('ver-informe-evaluacion-grado.php?periodo=' + $('#periodo').val() + '&idgrado=' + $('#idgrado').val() + '&idasignatura=' + $('#idasignatura').val(),function(data){
                    $('#contenido').html(data);
                });
                $('#contenido').show();
            }
            else{
                $('#contenido').show();
                $('#contenido').html("<h1>Seleccione todos los campos</h1>");
            }
        }

        function verPeriodos(){
            if ($('#idcurso').val() != 0)
                document.getElementById("periodo").disabled = false;
            else
                document.getElementById("periodo").disabled = true;
            document.getElementById("periodo").selectedIndex = 0;
        }

        function borrarContenido(){
            $('#contenido').hide();
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
