<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    $periodo = $_GET['periodo'];
    $idGrado = $_GET['idgrado'];
    $idAsignatura = $_GET['idasignatura'];
    
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
    
    $datosCursosGrado = colegios::datosCursosGrado($_SESSION['aLectivo'],$idGrado,$idAsignatura);
?>
<div>
    <h3 class="no-margins text-center">INFORME DE EVALUACIÓN POR GRADOS Y ASIGNATURA</h3>
    <h4 class="no-margins text-center">PERIODO: <?=$periodo ?> &bull; A&Ntilde;O LECTIVO: <?=$_SESSION['aLectivo'] ?></h4>
<div>

<div class="table-responsive">
    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="1%">No</th>
                <th width="30%">ESTUDIANTE</th>
                <th>SEDE</th>
                <th>EVALUACIÓN</th>
            </tr>
        </thead>
        <tbody>
        <?php
            $conEstudiantes = 1;
            if (count($datosCursosGrado)){
                foreach ($datosCursosGrado as $curso) {
                    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$curso['id_curso']);
                    foreach ($datosEstudiantes as $estudiante) {
                        $definitivaPeriodo = $evaluacion = "";
                        $notasEstudiante = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$curso['id_asignatura_grado'],$periodo);
                        if (count($notasEstudiante)){
                            $definitivaPeriodo = $notasEstudiante['definitiva'];
                            if ($definitivaPeriodo >= $infBajo && $definitivaPeriodo <= $supBajo){
                                $evaluacion = "BAJO";
                            }
                            elseif ($definitivaPeriodo >= $infBasico && $definitivaPeriodo <= $supBasico){
                                $evaluacion = "BASICO";
                            }
                            elseif ($definitivaPeriodo >= $infAlto && $definitivaPeriodo <= $supAlto){
                                $evaluacion = "ALTO";
                            }
                            elseif ($definitivaPeriodo >= $infSuperior && $definitivaPeriodo <= $supSuperior){
                                $evaluacion = "SUPERIOR";
                            }
                        }
                        ?>
                        <tr>
                            <td><?=$conEstudiantes ?></td>
                            <td><?=$estudiante['estudiante'] ?></td>
                            <td><?=$curso['nombre'] ?></td>
                            <td><?=$evaluacion ?></td>
                        </tr>
                        <?php
                        $conEstudiantes++;
                    }
                }
            }
            /*
            if($conEstudiantes){
                for ($i=0; $i<$conEstudiantes; $i++){
                    $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = $totalNotasEstudiante = 0;
                    $consecutivo = $i + 1;
                    $totalFallasEstudiante = 0;
                    echo "<tr><td>".$consecutivo."</td><td>".$estudiantes[$i][0]."</td>";
                    for ($j = 0; $j < $conAsignaturas; $j++) {
                        $idAsignaturaGrado = $asignaturas[$j][0];
                        $notasEstudiante = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado,$_GET['periodo']);
                        if (count($notasEstudiante)){
                            $fallasPeriodo = '';
                            if ($notasEstudiante['fallas'] > 0){
                                $fallasPeriodo = $notasEstudiante['fallas'];
                            }
                            echo "<td><strong>".$fallasPeriodo."<strong></td>";
                        }
                        else{
                            echo "<td></td>";
                        }
                    }
                }
            }
            */
            else{ ?>
                <tr>
                    <td colspan="4">No hay Estudiantes en el Curso</td>
                </tr>
                <?php
            }
        ?>
        </tbody>
    </table>
</div>
<!--<label class="btn btn-success" onclick="imprimirConsolidado()"><i class="fa fa-close"> </i> Imprimir Consolidado</label>-->
<label class="btn btn-default" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
<br><br>