<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/sised.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";

?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-bank"></i> <span class="nav-label">Datos del Colegio</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Información General del Colegio</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Licencia</a>
                        </li>
                        <li class="active">
                            <strong>Datos del Colegio</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row" id="datoscolegio"></div>
                <div class="row" id="datosadministrativos"></div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>

    <script>
        $(document).ready(function() {
            if (<?=$_SESSION['idPerfilUsuario'] ?> == 1 || <?=$_SESSION['idPerfilUsuario'] ?> == 99){
                cargueEditarDatosColegio();
            }
            cargueEditarDatosAdministrativos();
        });

        function cargueEditarDatosAdministrativos(){
            $('#datosadministrativos').show();

            $.get('php/editar-datos-administrativos.php',function(data){
                $('#datosadministrativos').html(data);
            });
        }

        function cargueEditarDatosColegio(){
            $('#datoscolegio').show();

            $.get('php/editar-datos-colegio.php',function(data){
                $('#datoscolegio').html(data);
            });
        }

        function actualizarDatosAdministrativos(){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-datos-administrativos.php',
                data: 'representante=' + $('#representante').val() + '&documentorepresentante=' + $('#documentorepresentante').val() + '&cargorepresentante=' + $('#cargorepresentante').val() + '&administrador=' + $('#administrador').val() + '&documentoadministrador=' + $('#documentoadministrador').val() + '&cargoadministrador=' + $('#cargoadministrador').val(),
                success:function(msj){
                    if (msj != 0){ 
                        swal({
                            title: "Excelente!",
                            text: "Se han actualizado los datos de Area Administrativa satisfactoriamente.",
                            type: "success"
                        });
                        cargueEditarDatosAdministrativos();
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function actualizarDatosColegio(){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-datos-colegio.php',
                data: 'nombre=' + $('#nombre').val() + '&dane=' + $('#dane').val() + '&nit=' + $('#nit').val() + '&idcategoria=' + $('#idcategoria').val() + '&direccion=' + $('#direccion').val() + '&idmunicipio=' + $('#idmunicipio').val() + '&telefono=' + $('#telefono').val() + '&correo=' + $('#correo').val() + '&idsector=' + $('#idsector').val() + '&idcalendario=' + $('#idcalendario').val() + '&nemo=' + $('#nemo').val() + '&resolucion=' + $('#resolucion').val() + '&tipofrases=' + $('#idtipofrases').val() + '&idnomenclatura=' + $('#idnomenclatura').val() + '&idformatofichamatricula=' + $('#idformatofichamatricula').val() + '&idfoliacionmatricula=' + $('#idfoliacionmatricula').val(),
                success:function(msj){
                    if (msj != 0){ 
                        swal({
                            title: "Excelente!",
                            text: "Se han actualizado los datos del Colegio satisfactoriamente",
                            type: "success"
                        });
                        cargueEditarDatosColegio();
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
