<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
    $datosEspecialidades = colegios::datosEspecialidades($_SESSION['aLectivo']);
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body onload="deshabilitaRetroceso()">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-file-text-o"></i> <span class="nav-label">Listas por Especialidad</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Listas de Estudiantes por Grado y Especialidad</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Estudiantes</a>
                        </li>
                        <li class="active">
                            <strong>Listas por Especialidad</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h5>SELECCIONAR GRADO Y ESPECIALIDAD</h5>
                            </div>
                            <div class="ibox-content">
                                <form class="form-horizontal" id="datos-curso" onsubmit="return false">
                                    <div class="form-group">
                                        <div class="col-lg-4">
                                            <label>Sede:</label>
                                            <select class="form-control m-b" id="idsede" onchange="verGradosSede()">
                                                <option value="0">Seleccione una Sede...</option>
                                                <?php
                                                    foreach ($datosSedes as $sede) { ?>
                                                            <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                                        <?php
                                                    }
                                                ?>
                                            </select>
                                       </div>
                                        <div class="col-lg-3">
                                            <label>Grado:</label>
                                            <select class="form-control m-b" id="idgrado" onchange="verListaEspecialidades()" disabled>
                                                <option value="0">...</option>
                                            </select>
                                       </div>
                                        <div class="col-lg-5">
                                            <label>Especialidades:</label>
                                            <select class="form-control m-b" id="idespecialidad" onchange="verDatosEstudiantesGrado()" disabled>
                                                <option value="0">...</option>
                                                <?php
                                                    foreach ($datosEspecialidades as $especialidad) { ?>
                                                            <option value="<?=$especialidad['id_especialidad'] ?>"><?=$especialidad['descripcion'] ?></option>
                                                        <?php
                                                    }
                                                ?>
                                            </select>
                                       </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                           <div id="contenido"></div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script>
        $(document).ready(function () {
            $('#contenido').hide();
        });

        function verDatosEstudiantesGrado(){
            if ($('#idespecialidad').val() != 0){
                $.get('php/lista-especialidad.php?idespecialidad=' + $('#idespecialidad').val() + '&idgrado=' + $('#idgrado').val(),function(data){
                    $('#contenido').html(data);
                });
                $('#contenido').show();
            }
            else{
                $('#contenido').hide();
            }
        }
    
        function verListaEspecialidades(){
            if ($('#idgrado').val() != 0)
                document.getElementById("idespecialidad").disabled = false;
            else
                document.getElementById("idespecialidad").disabled = true;
            
            document.getElementById("idespecialidad").selectedIndex = 0;
            $('#contenido').hide();
        }
        
        function verGradosSede(){
            $.get('../../php/cargue-datos.php?cargue=gradossede&idsede=' + $('#idsede').val(),function(data){
                $('#idgrado').html(data);
            });
            if ($('#idsede').val() != 0)
                document.getElementById("idgrado").disabled = false;
            else{
                document.getElementById("idgrado").disabled = true;
                document.getElementById("idespecialidad").disabled = true;
                document.getElementById("idespecialidad").selectedIndex = 0;
                $('#contenido').hide();
            }
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }
        
        function imprimirLista(){
            url = 'vista-listas-especialidad.php?idespecialidad=' + $('#idespecialidad').val() + '&idgrado=' + $('#idgrado').val();
            window.open(url,'_blank');
        }

        function deshabilitaRetroceso(){
            window.location.hash="no-back-button";
            window.location.hash="Again-No-back-button" //chrome
            window.onhashchange=function(){window.location.hash="no-back-button";}
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
