<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";

    $datosAsignaturasArea = colegios::datosAsignaturasArea($_SESSION['aLectivo'],$_GET['idarea']);
    $datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
    $datosArea = colegios::datosDescripcionArea($_SESSION['aLectivo'],$_GET['idarea']);
    $datosEspecialidades = colegios::datosEspecialidades($_SESSION['aLectivo']);
?>
<div class="form-group">
    <div class="col-lg-12">     
        <h1>
            <i class="fa fa-book"> </i> Asignaturas del Area <?=$datosArea['descripcion'] ?>
            <a data-toggle="modal" href="#crearasignatura" class="btn btn-default btn-xs pull-right" data-placement="left" onclick="borrarCampos()"><i class="fa fa-book"> </i> Crear Asignatura</a>
        </h1>
    </div>
</div>
<div class="form-group">
    <div class="col-lg-12">     
        <div class="table-responsive">
            <table class="table table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>DESCRIPCIÓN DE LA ASIGNATURA</th>
                        <th>NEMOTÉCNICO</th>
                        <th>ESPECIALIDAD</th>
                        <th>AREA</th>
                        <th>ACCIÓN</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        if($datosAsignaturasArea){ 
                            foreach ($datosAsignaturasArea as $asignatura) { ?>
                                <tr>
                                    <td><input type="text" name='D<?=$asignatura['id_asignatura'] ?>' id='D<?=$asignatura['id_asignatura'] ?>' value="<?=$asignatura['descripcion'] ?>" style="width: 400px"></td>
                                    <td><input type="text" name='N<?=$asignatura['id_asignatura'] ?>' id='N<?=$asignatura['id_asignatura'] ?>' value="<?=$asignatura['nemotecnico'] ?>" style="width: 100px" maxlength="10"></td>
                                    <td>
                                        <select name="E<?=$asignatura['id_asignatura'] ?>" id="E<?=$asignatura['id_asignatura'] ?>">
                                            <option value="0">--- SIN ESPECIALIDAD ---</option>
                                            <?php
                                                foreach ($datosEspecialidades as $especialidad) {
                                                    if ($asignatura['id_especialidad'] == $especialidad['id_especialidad'])
                                                        echo "<option value='".$especialidad['id_especialidad']."' selected>".$especialidad['descripcion']."</option>";
                                                    else
                                                        echo "<option value='".$especialidad['id_especialidad']."'>".$especialidad['descripcion']."</option>";
                                                }
                                            ?>
                                        </select>
                                    </td>
                                    <td>
                                        <select name="X<?=$asignatura['id_asignatura'] ?>" id="X<?=$asignatura['id_asignatura'] ?>">
                                            <option value="0">--- SIN AREA ---</option>
                                            <?php
                                                foreach ($datosAreas as $area) {
                                                    if ($asignatura['id_area'] == $area['id_area'])
                                                        echo "<option value='".$area['id_area']."' selected>".$area['descripcion']."</option>";
                                                    else
                                                        echo "<option value='".$area['id_area']."'>".$area['descripcion']."</option>";
                                                }
                                            ?>
                                        </select>
                                    </td>
                                    <td>
                                        <?php
                                            if ($_SESSION['idPerfilUsuario'] == 99){ ?>
                                                <a class="btn-danger btn btn-xs" onclick="eliminarAsignatura(<?=$asignatura['id_asignatura'] ?>)"><i class="fa fa-trash"></i> Eliminar</a>
                                                <?php
                                            }
                                            else{ ?>
                                                <a class="btn-danger btn btn-xs" onclick="eliminarAsignatura(<?=$asignatura['id_asignatura'] ?>" disabled><i class="fa fa-trash"></i> Eliminar</a>
                                                <?php
                                            }
                                        ?>
                                    </td>
                                    <input type='hidden' name='A<?=$asignatura['id_asignatura'] ?>' id='A<?=$asignatura['id_asignatura'] ?>' value ="<?=$asignatura['id_asignatura'] ?>">
                                </tr>
                                <?php
                            }
                        }
                        else{ ?>
                            <tr>
                                <td colspan="5">No existen Asignaturas para el Area</td>
                            </tr>
                            <?php
                        }
                    ?>
                </tbody>
            </table>
            <?php
                if($datosAsignaturasArea){ ?>
                    <button class="btn btn-primary btn-sm" onclick="actualizarDatosAsignaturas()"> <i class="fa fa-arrow-circle-up"> </i> Actualizar Datos</button>
                    <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
                    <?php
                }
                else{ ?>
                    <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
                    <?php
                }
            ?>
        </div>
    </div>
</div>
