<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/estudiantes.php";
    
    $datosCursosGradoSede = colegios::datosCursosGradoSede($_SESSION['aLectivo'],$_GET['idgradosede']);
    $datosGradoSede = colegios::datosGradoSede($_SESSION['aLectivo'],$_GET['idgradosede']);
	$datosDocentes = docentes::datosDocentesDireccionCurso();
	$datosJornadas = sised::datosJornadas();
?>
<div class="form-group">
    <div class="col-lg-12">	    
        <h1>
        	<i class="fa fa-cube"> </i> Cursos en el Grado <?=$datosGradoSede['descripcion'] ?>
        	<a data-toggle="modal" href="#crearcurso" class="btn btn-white btn-xs pull-right" data-placement="left"><i class="fa fa-plus-square"> </i> Crear Curso</a>
        </h1>
	</div>
</div>
<div class="form-group">
    <div class="col-lg-12">	    
    	<div class="table-responsive">
			<table class="table table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>CURSO</th>
                        <th>GRUPO</th>
                        <th>JORNADA</th>
                        <th>DIRECTOR</th>
                        <th>MATRICULADOS</th>
                        <th>RETIRADOS</th>		                        
                        <th>ACCIÓN</th>
                    </tr>
                </thead>
			    <tbody>
			        <?php
			        	if($datosCursosGradoSede){
			                foreach ($datosCursosGradoSede as $curso) { 
							    $datosActivos = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$curso['id_curso']);
							    $datosRetirados = estudiantes::datosEstudiantesCursoRetirados($_SESSION['aLectivo'],$curso['id_curso']); ?>
			                    <tr>
			                        <td><?=$curso['nomenclatura'] ?></td>
			                        <td><?=$curso['curso'] ?></td>
			                        <td>
			                        	<select name="J<?=$curso['id_curso'] ?>" id="J<?=$curso['id_curso'] ?>">
			                        		<option value="0">--- SIN JORNADA ---</option>
				                        	<?php
												foreach ($datosJornadas as $jornada) {
													if ($curso['id_jornada'] == $jornada['id_jornada'])
														echo "<option value='".$jornada['id_jornada']."' selected>".$jornada['descripcion']."</option>";
													else
														echo "<option value='".$jornada['id_jornada']."'>".$jornada['descripcion']."</option>";
												}
											?>
										</select>
			                        </td>
			                        <td>
			                        	<select name="D<?=$curso['id_curso'] ?>" id="D<?=$curso['id_curso'] ?>">
			                        		<option value="0">--- SIN DIRECTOR DE CURSO ---</option>
				                        	<?php
												foreach ($datosDocentes as $docente) {
													if ($curso['id_docente'] == $docente['id_usuario'])
														echo "<option value='".$docente['id_usuario']."' selected>".$docente['apellidos']." ".$docente['nombres']."</option>";
													else
														echo "<option value='".$docente['id_usuario']."'>".$docente['apellidos']." ".$docente['nombres']."</option>";
												}
											?>
										</select>
									</td>
									<td><?=count($datosActivos) ?> Estudiantes</td>
									<td><?=count($datosRetirados) ?> Estudiantes</td>
			                        <td>
			                        	<?php
			                        		if (count($datosActivos) + count($datosRetirados)){ ?>
			                        			<a class="btn-danger btn btn-xs" onclick="eliminarCurso(<?=$curso['id_curso'] ?>)" disabled><i class="fa fa-trash"></i> Eliminar</a>
			                        			<?php
			                        		}
			                        		else{ ?>
			                        			<a class="btn-danger btn btn-xs" onclick="eliminarCurso(<?=$curso['id_curso'] ?>)"><i class="fa fa-trash"></i> Eliminar</a>
			                        			<?php
			                        		}
			                        	?>
			                        </td>
			                        <input type='hidden' name='C<?=$curso['id_curso'] ?>' id='C<?=$curso['id_curso'] ?>' value ="<?=$curso['id_curso'] ?>">
			                    </tr>
			                    <?php
			                }
			            }
                        else{ ?>
                            <tr>
                                <td colspan="7">No existen Cursos en el Grado</td>
                            </tr>
                            <?php
                        }
			        ?>
			    </tbody>
			</table>
            <?php
                if($datosCursosGradoSede){ ?>
                    <button class="btn btn-primary btn-sm" onclick="actualizarDatosCursos()"> <i class="fa fa-arrow-circle-up"> </i> Actualizar Datos</button>
                    <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
                    <?php
                }
                else{ ?>
                    <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
                    <?php
                }
            ?>
		</div>
	</div>
</div>
