<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/colegios.php";

    date_default_timezone_set('America/Bogota');
    $fechaActual = strtotime(date("Y-m-d"));

    $datosDocentes = docentes::datosDocentes();
?>
<div class="ibox-title">
    <h5>PROGRAMACIÓN DE DOCENTES PARA INGRESO DE CALIFICACIONES POR PERIODO</h5>
    <button type="button" class="btn btn-default btn-xs pull-right" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</button>
</div>
<div class="ibox-content">
    <div class="form-group">
        <div class="table-responsive">
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th><b>#</b></th>
                        <th><b>DOCENTES</b></th>
                        <th>PERIODO-1</th>
                        <th>PERIODO-2</th>
                        <th>PERIODO-3</th>
                        <th>PERIODO-4</th>
                        <th class="text-center"><button type="button" class="btn btn-default btn-xs" id="selector" onclick="seleccionarDocentes()">Todos</button></th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        $cont = 1;
                        foreach ($datosDocentes as $docente) {?>
                            <tr>
                                <td><?=$cont ?></td>
                                <td><?=$docente['apellidos']." ".$docente['nombres'] ?></td>
                                <?php
                                    $estado = "No Habilitado";
                                    $clase = "alert alert-danger";                                    
                                    if ($docente['estado_notas'] == 1){
                                        for ($periodo = 1; $periodo <= 4; $periodo++){
                                            $datosPeriodo = colegios::datosPeriodo($periodo);
                                            if ($fechaActual >= strtotime($datosPeriodo['notas_fecha_inicial']) && $fechaActual <= strtotime($datosPeriodo['notas_fecha_final'])){
                                                $estado = "Habilitado";
                                                $clase = "alert alert-success";
                                            }
                                            elseif ($fechaActual > strtotime($datosPeriodo['notas_fecha_final'])){
                                                $estado = "Cerrado";
                                                $clase = "alert alert-warning";
                                            }
                                            else{
                                                $estado = "Programado";
                                                $clase = "alert alert-info";
                                            } ?>
                                            <td class="<?=$clase ?>"><?=$estado ?></td>
                                            <?php
                                        }
                                    }
                                    else{ ?>
                                        <td class="<?=$clase ?>"><?=$estado ?></td>
                                        <td class="<?=$clase ?>"><?=$estado ?></td>
                                        <td class="<?=$clase ?>"><?=$estado ?></td>
                                        <td class="<?=$clase ?>"><?=$estado ?></td>
                                        <?php
                                    }
                                ?>
                                <td class="text-center"><input type="checkbox" name="chequeados[]" id="chequeados[]" value="<?=$docente['id_usuario'] ?>"></td>
                            </tr>
                            <?php
                            $cont++;
                        }
                    ?>                                  
                </tbody>
            </table>
            <button type="button" class="btn btn-default btn-xs" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</button>
            <a class="btn btn-primary btn-xs pull-right" onclick="habilitarCalificacionesSeleccionados()"><i class="fa fa-arrow-circle-up"> </i> Habilitar Seleccionados</a>
            <a class="btn btn-danger btn-xs pull-right" onclick="inhabilitarCalificacionesSeleccionados()"><i class="fa fa-arrow-circle-up"> </i> Inhabilitar Seleccionados</a>
        </div>
    </div>
</div>
