<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body onload="deshabilitaRetroceso()">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-file-text-o"></i> <span class="nav-label">Editar Constancia</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Constancias de Estudio</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Secretaria</a>
                        </li>
                        <li class="active">
                            <strong>Constancias</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h5>SELECCIONAR ESTUDIANTE</h5>
                            </div>
                            <div class="ibox-content">
                                <form class="form-horizontal">
                                    <div class="form-group">
                                        <div class="col-lg-4">
                                            <label>Sede:</label>
                                            <select class="form-control m-b" id="idsede" onchange="verCursosSede()">
                                                <option value="0">Seleccione una Sede...</option>
                                                <?php
                                                    foreach ($datosSedes as $sede) { ?>
                                                            <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                                        <?php
                                                    }
                                                ?>
                                            </select>
                                       </div>
                                        <div class="col-lg-3">
                                            <label>Grado-Curso:</label>
                                            <select class="form-control m-b" id="idcurso" onchange="verEstudiantesCurso()" disabled>
                                                <option value="0">...</option>
                                            </select>
                                       </div>
                                        <div class="col-lg-4">
                                            <label>Estudiante:</label>
                                            <select class="form-control m-b" id="idmatricula" onchange="verCuerpoConstancia()" disabled>
                                                <option value="0">...</option>
                                            </select>
                                       </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row" id="contenido"></div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>

    <script>
        $(document).ready(function () {
            $('#contenido').hide();
        });

        function verCuerpoConstancia(){
            if ($('#idmatricula').val() != 0){
                var sede = document.getElementById('idsede')[document.getElementById('idsede').selectedIndex].text;
                var curso = document.getElementById('idcurso')[document.getElementById('idcurso').selectedIndex].text;

                $.get('php/contenido-constancia.php?idmatricula=' + $('#idmatricula').val() + '&sede=' + sede + '&curso=' + curso,function(data){
                    $('#contenido').html(data);
                });
                $('#contenido').show();
            }
            else
                $('#contenido').hide();
        }

        function verEstudiantesCurso(){
            $.get('../../php/cargue-datos.php?cargue=estudiantescurso&idcurso=' + $('#idcurso').val(),function(data){
                $('#idmatricula').html(data);
            }); 
            if ($('#idcurso').val() != 0)
                document.getElementById("idmatricula").disabled = false;
            else
                document.getElementById("idmatricula").disabled = true;
            $('#contenido').hide();
        }

        function verCursosSede(){
            $.get('../../php/cargue-datos.php?cargue=cursossede&idsede=' + $('#idsede').val(),function(data){
                $('#idcurso').html(data);
            });
            if ($('#idsede').val() != 0)
                document.getElementById("idcurso").disabled = false;
            else{
                document.getElementById("idcurso").disabled = true;
                document.getElementById("idmatricula").disabled = true;
                document.getElementById("idmatricula").selectedIndex = 0;
            }
            $('#contenido').hide();
        }

        function imprimirConstancia(){
            url = "vista-constancia.php?parrafo1=" + $('#parrafo1').val() + "&parrafo2=" + $('#parrafo2').val() + "&parrafo3=" + $('#parrafo3').val() + "&idsede=" + $('#idsede').val() + "&confirma=" + document.getElementById('confirma').checked;
            window.open(url,'_blank');
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function deshabilitaRetroceso(){
            window.location.hash="no-back-button";
            window.location.hash="Again-No-back-button" //chrome
            window.onhashchange=function(){window.location.hash="no-back-button";}
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
