<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/docentes.php";
    require_once "../../clases/notas.php";

	$rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
	$idCurso = $_POST['idcurso'];

	$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
	$desCurso = $datosCurso['nomenclatura'];
	$idGrado = $datosCurso['id_grado'];
	$idGradoSede = $datosCurso['id_grado_sede'];
	$nombreSede = "-";
	$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
	$nombreSede = $datosSede['nombre'];

?>

<!DOCTYPE html>
<html lang="es">
    <head>
	    <meta charset="utf-8">
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../imagenes/favicon-sised.png">

	    <link href="../../css/secretaria.css" rel="stylesheet">
    	<link href="../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La función de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	
	<body onload="imprimir();">
		<div class="vista-reportes">
			<?php
				/* FORMATO 1 */
				if ($_POST['formatos'] == 1){
					$estudiantesSeleccionados = $_POST['chequeados'];
					for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
						$idMatricula = $estudiantesSeleccionados[$i]; ?>
					    <div>
						    <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
		                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
		                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
		                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
		                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
					    </div>
						<h1 class="no-margins text-center">ENTREGA MANUAL DE CALIFICACIONES Y RECUPERACIONES</h1>
						<br>
						<?php
							$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula); ?>
							<table class='tablaMatriculas'>
								<tr>
									<th width="50%" style="font-size: 12px; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; text-align: left;">Estudiante:<br><b><?=$datosEstudiante['estudiante'] ?></b></th>
									<th width="20%" style="font-size: 12px; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; text-align: left;">Grado/Curso:<br><b><?=$desCurso ?></b></th>
									<th width="20%" style="font-size: 12px; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; text-align: left;">A&ntilde;o Lectivo:<br><b><?=$_SESSION['aLectivo'] ?></b></th>
									<th width="10%" style="font-size: 12px; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; text-align: left;">Periodo:<br></th>
								</tr>
							</table>
							<br>
							<table class='tablaMatriculas'>
								<tr>
									<th width="50%" style="font-size: 12px; border: 1px solid #bbb;"><b>ASIGNATURA</b></th>
									<th width="10%" style="font-size: 12px; border: 1px solid #bbb;"><b>DEFINITIVA</b></th>
									<th width="10%" style="font-size: 12px; border: 1px solid #bbb;"><b>RECUPERA</b></th>
									<th width="15%" style="font-size: 12px; border: 1px solid #bbb;"><b>FECHA</b></th>
									<th width="15%" style="font-size: 12px; border: 1px solid #bbb;"><b>FIRMA DOCENTE</b></th>
								</tr>
								<?php
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								foreach ($datosAreas as $area) {
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$numAsignaturas = count($datosAsignaturasGradoArea);
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) { ?>
										<tr>
											<td style="font-size: 12px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; height: 25px;"><?=$asignaturaarea['descripcion'] ?></td>
											<td style="font-size: 12px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; height: 25px;"></td>
											<td style="font-size: 12px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; height: 25px;"></td>
											<td style="font-size: 12px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; height: 25px;"></td>
											<td style="font-size: 12px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; height: 25px;"></td>
										</tr>
										<?php 
									}
								} ?>
							</table>
							<table>
								<tr><td style="font-size: 12px;"><br><br><br><br><br><br>___________________________________<br>Firma y Fecha Recibi</td></tr>
							</table>
							<?php
						?>

						<div class='saltopagina'></div>
						<?php
					}
				}
				/* FORMATO 2 */
				else{
					echo "EL FORMATO AÚN NO ESTA DISPONIBLE";
				}
			?>
		</div>
	</body>
</html>
