<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../configuracion/configuracion.php";
    require_once "../conexion/conexion.php";
    require_once "../clases/estudiantes.php";
    require_once "../clases/sised.php";
    require_once "../clases/colegios.php";

    $idColegio = ID_COLEGIO;
    $datosColegioIngreso = sised::obtenerDatosColegioIngreso($idColegio);
    if ($datosColegioIngreso){
        $_SESSION['idColegio'] = $idColegio;
        $_SESSION['bdColegio'] = $datosColegioIngreso['bd'];
        $_SESSION['categoriaColegio'] = $datosColegioIngreso['categoria'];
        $_SESSION['nombreColegio'] = $datosColegioIngreso['nombre'];
        $_SESSION['nemoColegio'] = $datosColegioIngreso['nemo'];
        $_SESSION['municipioColegio'] = $datosColegioIngreso['municipio'];
        $_SESSION['departamentoColegio'] = $datosColegioIngreso['departamento'];
        $_SESSION['nitColegio'] = $datosColegioIngreso['nit'];
        $_SESSION['daneColegio'] = $datosColegioIngreso['dane'];
        $_SESSION['idCategoriaColegio'] = $datosColegioIngreso['id_categoria'];
    } else {
        die('La Institución Educativa no está configurada.');
    }
    define('DB_COLEGIO',$_SESSION['bdColegio']);

    $rutaEscudo = "../escudos/es".$_SESSION['idColegio'].".jpg";
    $rutaFoto = "../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$idEstudiante.".jpg";
    if (!file_exists($rutaFoto)){
        $rutaFoto = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/avatar.jpg";
    }
    $datosFechasConsulta = colegios::obtenerDatosConfiguracion();
    $_SESSION['aLectivo'] = $datosFechasConsulta['a_lectivo'];

    //$idMatricula = 2226;
    $idMatricula = trim($_GET['idmatricula']);
    $infoEstudiante = estudiantes::infoMatriculaEstudiante($_SESSION['aLectivo'],$idMatricula);
    $idEstudiante = $infoEstudiante['id_estudiante'];
    $nombreEstudiante = $infoEstudiante['estudiante'];
    $documentoEstudiante = $infoEstudiante['documento'];
    $idCurso = $infoEstudiante['id_curso'];
	$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
	$desCurso = $datosCurso['nomenclatura'];
	$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
	$nombreSede = $datosSede['nombre'];
	$datosJornada = sised::datosJornada($datosCurso['id_jornada']);
	$nombreJornada = $datosJornada['descripcion'];

    $datosEstudiante = estudiantes::datosFichaEstudiante($idEstudiante);

    $datosTiposDocumento = sised::datosTiposDocumento();
    $datosMunicipios = sised::datosMunicipios();
    $datosSisben = sised::datosSisben();
    $datosRhs = sised::datosRhs();
    $datosDiscapacidades = sised::datosDiscapacidades();
    $datosVictimas = sised::datosVictimas();
    $datosEtnias = sised::datosEtnias();
    $datosEstratos = sised::datosEstratos();
    $datosParentescos = sised::datosParentescos();
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
    $datosRutas = colegios::datosRutas();
    $datosEspecialidades = colegios::datosEspecialidades($_SESSION['aLectivo']);

    date_default_timezone_set('America/Bogota');
    $fecha_de_nacimiento = $datosEstudiante['fecha_nacimiento']; 
    $fecha_actual = date ("Y-m-d"); 
    $array_nacimiento = explode ( "-", $fecha_de_nacimiento ); 
    $array_actual = explode ( "-", $fecha_actual ); 
    $anos =  $array_actual[0] - $array_nacimiento[0]; // calculamos años 
    $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses 
    $dias =  $array_actual[2] - $array_nacimiento[2]; // calculamos días 
    //ajuste de posible negativo en $días 
    if ($dias < 0) { 
        --$meses; 
        //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual 
        switch ($array_actual[1]) { 
           case 1:     $dias_mes_anterior=31; break; 
           case 2:     $dias_mes_anterior=31; break; 
           case 3:  
                if (bisiesto($array_actual[0])) 
                { 
                    $dias_mes_anterior=29; break; 
                } else { 
                    $dias_mes_anterior=28; break; 
                } 
           case 4:     $dias_mes_anterior=31; break; 
           case 5:     $dias_mes_anterior=30; break; 
           case 6:     $dias_mes_anterior=31; break; 
           case 7:     $dias_mes_anterior=30; break; 
           case 8:     $dias_mes_anterior=31; break; 
           case 9:     $dias_mes_anterior=31; break; 
           case 10:     $dias_mes_anterior=30; break; 
           case 11:     $dias_mes_anterior=31; break; 
           case 12:     $dias_mes_anterior=30; break; 
        } 
        $dias=$dias + $dias_mes_anterior; 
    } 
    //ajuste de posible negativo en $meses 
    if ($meses < 0) { 
        --$anos; 
        $meses=$meses + 12; 
    } 
    function bisiesto($anio_actual){ 
        $bisiesto = false; 
        //probamos si el mes de febrero del año actual tiene 29 días 
        if (checkdate(2,29,$anio_actual)) { 
            $bisiesto = true; 
        } 
        return $bisiesto;
    }
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../imagenes/favicon-sised.png">

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">

    <link href="../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-file-text-o"></i> <span class="nav-label">Actualizar Datos</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarFicha()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Actualizar Datos del Estudiante</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a>Inicio</a>
                        </li>
                        <li class="active">
                            <strong>Actualizar Datos</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div id="datosficha">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title">
                                    <h5>FICHA DE ACTUALIZACIÓN DE INFORMACIÓN DEL ESTUDIANTE</h5>
                                </div>
                                <div class="ibox-content">
                                    <div class="form-horizontal">
                                        <div class="content">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <h1 class="text-info"><?=$nombreEstudiante ?></h1>
                                                    <hr class="hr-line-dashed navy-bg">
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <table class="table">
                                                      <tbody>
                                                        <tr>
                                                          <th scope="row">No. Documento:</th>
                                                          <td><?=$documentoEstudiante ?></td>
                                                        </tr>
                                                        <tr>
                                                          <th scope="row">Fecha Nacimiento:</th>
                                                          <td><?=$fecha_de_nacimiento ?></td>
                                                        </tr>
                                                        <tr>
                                                          <th scope="row">Edad:</th>
                                                          <td><?=$anos ?> Años</td>
                                                        </tr>
                                                      </tbody>
                                                    </table>
                                                </div>
                                                <div class="col-lg-6">
                                                    <table class="table">
                                                      <tbody>
                                                        <tr>
                                                          <th scope="row">Grado-Curso:</th>
                                                          <td><?=$desCurso ?></td>
                                                        </tr>
                                                        <tr>
                                                          <th scope="row">Sede:</th>
                                                          <td><?=$nombreSede ?></td>
                                                        </tr>
                                                        <tr>
                                                          <th scope="row">Jornada:</th>
                                                          <td><?=$nombreJornada ?></td>
                                                        </tr>
                                                      </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <hr class="hr-line-dashed navy-bg">
                                            </div>
                                        </div>
                                        <h3 class="text-info"><strong>DATOS DEL ESTUDIANTE</strong></h3>
                                        <hr>
                                        <div class="content">
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <label class="control-label">Municipio de Nacimiento: *</label>
                                                    <select class="form-control m-b" id="idmunicipionacimiento">
                                                        <option value="99999">...</option>
                                                        <option value="00000">MUNICIPIO EXTRANJERO</option>
                                                        <?php
                                                            foreach ($datosMunicipios as $municipio) {
                                                                if ($municipio['id_municipio'] == $datosEstudiante['id_municipio_nacimiento']){ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>" selected><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Eps: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['eps'] ?>" id="eps" onKeyPress="return soloNombres(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Discapacidad: *</label>
                                                    <select class="form-control m-b" id="iddiscapacidad">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosDiscapacidades as $discapacidad) {
                                                                if ($discapacidad['id_discapacidad'] == $datosEstudiante['id_discapacidad']){ ?>
                                                                    <option value="<?=$discapacidad['id_discapacidad'] ?>" selected><?=$discapacidad['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$discapacidad['id_discapacidad'] ?>"><?=$discapacidad['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Victima del Conflicto: *</label>
                                                    <select class="form-control m-b" id="idvictima">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosVictimas as $victima) {
                                                                if ($victima['id_victima'] == $datosEstudiante['id_victima']){ ?>
                                                                    <option value="<?=$victima['id_victima'] ?>" selected><?=$victima['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$victima['id_victima'] ?>"><?=$victima['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Grupo Etnico: *</label>
                                                    <select class="form-control m-b" id="idetnia">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosEtnias as $etnia) {
                                                                if ($etnia['id_etnia'] == $datosEstudiante['id_etnia']){ ?>
                                                                    <option value="<?=$etnia['id_etnia'] ?>" selected><?=$etnia['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$etnia['id_etnia'] ?>"><?=$etnia['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-3">
                                                    <label class="control-label">Sisben: *</label>
                                                    <select class="form-control m-b" id="sisben">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosSisben as $sisben) {
                                                                if ($sisben['id_sisben'] == $datosEstudiante['sisben']){ ?>
                                                                    <option value="<?=$sisben['id_sisben'] ?>" selected><?=$sisben['sisben'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$sisben['id_sisben'] ?>"><?=$sisben['sisben'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-3">
                                                    <label class="control-label">Estrato: *</label>
                                                    <select class="form-control m-b" id="idestrato">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosEstratos as $estrato) {
                                                                if ($estrato['id_estrato'] == $datosEstudiante['id_estrato']){ ?>
                                                                    <option value="<?=$estrato['id_estrato'] ?>" selected><?=$estrato['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$estrato['id_estrato'] ?>"><?=$estrato['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Dirección Residencia: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['direccion_estudiante'] ?>" id="direccionestudiante" onKeyPress="return soloDirecciones(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Municipio Residencia: *</label>
                                                    <select class="form-control m-b" id="idmunicipiodireccionestudiante">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosMunicipios as $municipio) {
                                                                if ($municipio['id_municipio'] == $datosEstudiante['id_municipio_direccion_estudiante']){ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>" selected><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Teléfono:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['telefono_estudiante'] ?>" id="telefonoestudiante" onKeyPress="return soloTelefonos(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Correo:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['correo_estudiante'] ?>" id="correoestudiante" onKeyPress="return soloCorreos(event)">
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <hr class="hr-line-dashed navy-bg">
                                            </div>
                                        </div>
                                        <h3 class="text-info"><strong>DATOS DEL PAPÁ</strong></h3>
                                        <hr>
                                        <div class="content">
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <label class="control-label">Apellidos del Papá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['apellidos_papa'] ?>" id="apellidospapa" onKeyPress="return soloNombres(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Nombres del Papá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['nombres_papa'] ?>" id="nombrespapa" onKeyPress="return soloNombres(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Número Documento del Papá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['documento_papa'] ?>" id="documentopapa" onKeyPress="return soloNumeros(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Fecha Nacimiento del Papá:</label>
                                                    <input type="date" class="form-control m-b" value="<?=$datosEstudiante['fecha_nacimiento_papa'] ?>" id="fechanacimientopapa">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Dirección Residencia del Papá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['direccion_papa'] ?>" id="direccionpapa" onKeyPress="return soloDirecciones(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Municipio Residencia del Papá:</label>
                                                    <select class="form-control m-b" id="idmunicipiodireccionpapa">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosMunicipios as $municipio) {
                                                                if ($municipio['id_municipio'] == $datosEstudiante['id_municipio_direccion_papa']){ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>" selected><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Teléfono del Papá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['telefono_papa'] ?>" id="telefonopapa" onKeyPress="return soloTelefonos(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Correo del Papá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['correo_papa'] ?>" id="correopapa" onKeyPress="return soloCorreos(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Actividad/Profesión del Papá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['actividad_papa'] ?>" id="actividadpapa" onKeyPress="return soloNombres(event)">
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <hr class="hr-line-dashed navy-bg">
                                            </div>
                                        </div>
                                        <h3 class="text-info"><strong>DATOS DE LA MAMÁ</strong></h3>
                                        <hr>
                                        <div class="content">
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <label class="control-label">Apellidos de la Mamá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['apellidos_mama'] ?>" id="apellidosmama" onKeyPress="return soloNombres(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Nombres de la Mamá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['nombres_mama'] ?>" id="nombresmama" onKeyPress="return soloNombres(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Número Documento de la Mamá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['documento_mama'] ?>" id="documentomama" onKeyPress="return soloNumeros(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Fecha Nacimiento de la Mamá:</label>
                                                    <input type="date" class="form-control m-b" value="<?=$datosEstudiante['fecha_nacimiento_mama'] ?>" id="fechanacimientomama">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Dirección Residencia de la Mamá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['direccion_mama'] ?>" id="direccionmama" onKeyPress="return soloDirecciones(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Municipio Residencia de la Mamá:</label>
                                                    <select class="form-control m-b" id="idmunicipiodireccionmama">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosMunicipios as $municipio) {
                                                                if ($municipio['id_municipio'] == $datosEstudiante['id_municipio_direccion_mama']){ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>" selected><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Teléfono de la Mamá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['telefono_mama'] ?>" id="telefonomama" onKeyPress="return soloTelefonos(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Correo de la Mamá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['correo_mama'] ?>" id="correomama" onKeyPress="return soloCorreos(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Actividad/Profesión de la Mamá:</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['actividad_mama'] ?>" id="actividadmama" onKeyPress="return soloNombres(event)">
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <hr class="hr-line-dashed navy-bg">
                                            </div>
                                        </div>
                                        <h3 class="text-info"><strong>DATOS DEL ACUDIENTE</strong></h3>
                                        <hr>
                                        <div class="content">
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <label class="control-label">Seleccione el Parentesco con el Estudiante: *</label>
                                                    <select class="form-control m-b" id="idparentesco" onchange="verAcudiente()">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosParentescos as $parentesco) {
                                                                if ($parentesco['id_parentesco'] == $datosEstudiante['id_parentesco']){ ?>
                                                                    <option value="<?=$parentesco['id_parentesco'] ?>" selected><?=$parentesco['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$parentesco['id_parentesco'] ?>"><?=$parentesco['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row" id="datosacudiente">
                                                <div class="col-lg-6">
                                                    <label class="control-label">Apellidos del Acudiente: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['apellidos_acudiente'] ?>" id="apellidosacudiente" onKeyPress="return soloNombres(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Nombres del Acudiente: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['nombres_acudiente'] ?>" id="nombresacudiente" onKeyPress="return soloNombres(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Número Documento del Acudiente: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['documento_acudiente'] ?>" id="documentoacudiente" onKeyPress="return soloNumeros(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Fecha Nacimiento del Acudiente: *</label>
                                                    <input type="date" class="form-control m-b" value="<?=$datosEstudiante['fecha_nacimiento_acudiente'] ?>" id="fechanacimientoacudiente">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Dirección Residencia del Acudiente: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['direccion_acudiente'] ?>" id="direccionacudiente" onKeyPress="return soloDirecciones(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Municipio Residencia del Acudiente: *</label>
                                                    <select class="form-control m-b" id="idmunicipiodireccionacudiente">
                                                        <option value="99999">...</option>
                                                        <?php
                                                            foreach ($datosMunicipios as $municipio) {
                                                                if ($municipio['id_municipio'] == $datosEstudiante['id_municipio_direccion_acudiente']){ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>" selected><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Teléfono del Acudiente: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['telefono_acudiente'] ?>" id="telefonoacudiente" onKeyPress="return soloTelefonos(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Correo del Acudiente: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['correo_acudiente'] ?>" id="correoacudiente" onKeyPress="return soloCorreos(event)">
                                                </div>
                                                <div class="col-lg-6">
                                                    <label class="control-label">Actividad/Profesión del Acudiente: *</label>
                                                    <input type="text" class="form-control m-b" value="<?=$datosEstudiante['actividad_acudiente'] ?>" id="actividadacudiente" onKeyPress="return soloNombres(event)">
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <hr class="hr-line-dashed navy-bg">
                                                <p>* Datos obligatorios</p>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <button class="btn btn-primary" onclick="GuardarDatosEstudiante(<?=$idEstudiante ?>)">Guardar Datos del Estudiante</button>
                                                <button class="btn btn-danger" onclick="cerrarFicha()">Cerrar</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <strong><a href="https://siedutunja.gov.co" target="_blank"> sieduTunja</a></strong> <small> &copy; <?=date('Y') ?> Derechos Registrados | galeanoTI S.A.S.</small>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-3.1.1.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../js/plugins/select2/select2.full.min.js"></script>
    <script src="../js/funciones-generales.js"></script>

    <script>
        $(document).ready(function () {
            $('.i-checks').iCheck({
                checkboxClass: 'icheckbox_square-green',
                radioClass: 'iradio_square-green',
            });

            $('.js-example-basic-single').select2();

            iniciarFicha();
        });

        function iniciarFicha() {
            $('#idparentesco').val("99999");
            $('#datosacudiente').hide();
        }

        function GuardarDatosEstudiante($idEstudiante){
            if($('#idmunicipionacimiento').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el municipio de nacimiento del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#eps').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese la EPS del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#iddiscapacidad').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione la discapacidad del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idvictima').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione la opción victima del conflicto del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idetnia').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el grupo étnico del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#sisben').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el sisben del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idestrato').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el estrato del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#direccionestudiante').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese la dirección de residencia del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idmunicipiodireccionestudiante').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el municipio de residencia del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idparentesco').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el parentesco con el estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#apellidosacudiente').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese los apellidos del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#nombresacudiente').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese los nombres del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#documentoacudiente').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese el documento del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#fechanacimientoacudiente').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese la fecha de nacimiento del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#direccionacudiente').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese la dirección de residencia del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idmunicipiodireccionacudiente').val() == "99999"){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el municipio de residencia del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#telefonoacudiente').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese el teléfono del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#correoacudiente').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese el correo del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#actividadacudiente').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese la actividad o profesión del acudiente. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: 'guardar-datos-estudiante.php',
                    data: 'idestudiante=' + $idEstudiante + '&idmunicipionacimiento=' + $('#idmunicipionacimiento').val() + '&idestrato=' + $('#idestrato').val() + '&sisben=' + $('#sisben').val() + '&eps=' + $('#eps').val() + '&iddiscapacidad=' + $('#iddiscapacidad').val() + '&idvictima=' + $('#idvictima').val() + '&idetnia=' + $('#idetnia').val() + '&direccionestudiante=' + $('#direccionestudiante').val() + '&telefonoestudiante=' + $('#telefonoestudiante').val() + '&correoestudiante=' + $('#correoestudiante').val() + '&idmunicipiodireccionestudiante=' + $('#idmunicipiodireccionestudiante').val() + 
                    '&nombrespapa=' + $('#nombrespapa').val() + '&apellidospapa=' + $('#apellidospapa').val() + '&documentopapa=' + $('#documentopapa').val() + '&fechanacimientopapa=' + $('#fechanacimientopapa').val() + '&direccionpapa=' + $('#direccionpapa').val() + '&idmunicipiodireccionpapa=' + $('#idmunicipiodireccionpapa').val() + '&telefonopapa=' + $('#telefonopapa').val() + '&correopapa=' + $('#correopapa').val() + '&actividadpapa=' + $('#actividadpapa').val() + 
                    '&nombresmama=' + $('#nombresmama').val() + '&apellidosmama=' + $('#apellidosmama').val() + '&documentomama=' + $('#documentomama').val() + '&fechanacimientomama=' + $('#fechanacimientomama').val() + '&direccionmama=' + $('#direccionmama').val() + '&idmunicipiodireccionmama=' + $('#idmunicipiodireccionmama').val() + '&telefonomama=' + $('#telefonomama').val() + '&correomama=' + $('#correomama').val() + '&actividadmama=' + $('#actividadmama').val() + 
                    '&idparentesco=' + $('#idparentesco').val() + '&nombresacudiente=' + $('#nombresacudiente').val() + '&apellidosacudiente=' + $('#apellidosacudiente').val() + '&documentoacudiente=' + $('#documentoacudiente').val() + '&fechanacimientoacudiente=' + $('#fechanacimientoacudiente').val() + '&direccionacudiente=' + $('#direccionacudiente').val() + '&idmunicipiodireccionacudiente=' + $('#idmunicipiodireccionacudiente').val() + '&telefonoacudiente=' + $('#telefonoacudiente').val() + '&correoacudiente=' + $('#correoacudiente').val() + '&actividadacudiente=' + $('#actividadacudiente').val(),
                    success:function(msjUsuario){
                        if (msjUsuario){
                            swal({
                                title: "¡Excelente!",
                                text: "Los datos del estudiante se han guardado satisfactoriamente.",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }

        }

        function verAcudiente(){
            if ($('#idparentesco').val() != "99999") {
                $('#datosacudiente').show();
                if ( $('#idparentesco').val() == 1){
                    $('#nombresacudiente').val($('#nombrespapa').val());
                    $('#apellidosacudiente').val($('#apellidospapa').val());
                    $('#documentoacudiente').val($('#documentopapa').val());
                    $('#idmunicipiodocumentoacudiente').val($('#idmunicipiodocumentopapa').val());
                    $('#fechanacimientoacudiente').val($('#fechanacimientopapa').val());
                    $('#actividadacudiente').val($('#actividadpapa').val());
                    $('#direccionacudiente').val($('#direccionpapa').val());
                    $('#idmunicipiodireccionacudiente').val($('#idmunicipiodireccionpapa').val());
                    $('#telefonoacudiente').val($('#telefonopapa').val());
                    $('#correoacudiente').val($('#correopapa').val());
                }
                else if ( $('#idparentesco').val() == 2){
                    $('#nombresacudiente').val($('#nombresmama').val());
                    $('#apellidosacudiente').val($('#apellidosmama').val());
                    $('#documentoacudiente').val($('#documentomama').val());
                    $('#idmunicipiodocumentoacudiente').val($('#idmunicipiodocumentomama').val());
                    $('#fechanacimientoacudiente').val($('#fechanacimientomama').val());
                    $('#actividadacudiente').val($('#actividadmama').val());
                    $('#direccionacudiente').val($('#direccionmama').val());
                    $('#idmunicipiodireccionacudiente').val($('#idmunicipiodireccionmama').val());
                    $('#telefonoacudiente').val($('#telefonomama').val());
                    $('#correoacudiente').val($('#correomama').val());
                }
                else{
                    $('#nombresacudiente').val('');
                    $('#apellidosacudiente').val('');
                    $('#documentoacudiente').val('');
                    $('#idmunicipiodocumentoacudiente').val('99999');
                    $('#fechanacimientoacudiente').val('');
                    $('#actividadacudiente').val('');
                    $('#direccionacudiente').val('');
                    $('#idmunicipiodireccionacudiente').val('99999');
                    $('#telefonoacudiente').val('');
                    $('#correoacudiente').val('');
                }
            } else {
                $('#datosacudiente').hide();
            }
        }

        function cerrarFicha(){
            window.close();
        }
   </script>
</body>

</html>
