<?php
    session_start();
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/sised.php";
    
    $idColegio = ID_COLEGIO;
    $datosColegioIngreso = sised::obtenerDatosColegioIngreso($idColegio);
    if ($datosColegioIngreso){
        $_SESSION['idColegio'] = $idColegio;
        $_SESSION['bdColegio'] = $datosColegioIngreso['bd'];
        $_SESSION['categoriaColegio'] = $datosColegioIngreso['categoria'];
        $_SESSION['nombreColegio'] = $datosColegioIngreso['nombre'];
        $_SESSION['nemoColegio'] = $datosColegioIngreso['nemo'];
        $_SESSION['municipioColegio'] = $datosColegioIngreso['municipio'];
        $_SESSION['departamentoColegio'] = $datosColegioIngreso['departamento'];
        $_SESSION['nitColegio'] = $datosColegioIngreso['nit'];
        $_SESSION['daneColegio'] = $datosColegioIngreso['dane'];
        $_SESSION['idCategoriaColegio'] = $datosColegioIngreso['id_categoria'];
    } else {
        die('La Institución Educativa no está configurada.');
    }
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../clases/colegios.php";

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosFechasConsulta = colegios::obtenerDatosConfiguracion();
    $_SESSION['aLectivo'] = $datosFechasConsulta['a_lectivo'];
    
	$fechaActual = strtotime(date("Y-m-d"));
	$fechaInicial = strtotime($datosFechasConsulta['fecha_inicial_informes']);
	$fechaFinal = strtotime($datosFechasConsulta['fecha_final_informes']);
	$periodoConsulta = $datosFechasConsulta['periodo_consulta_informes'];
	
	$fechaConsultaValida = 0;	
	if ($fechaActual >= $fechaInicial && $fechaActual <= $fechaFinal) {
        $fechaConsultaValida = 1;
	}
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
    <style>
        .documento input{
        	height: 50px;
        	text-align: center;
        	font-size: 25px;
        	background-color: #EEEEEE;
        	text-transform: uppercase;
        	font-weight: bold;
        	border-radius: 3px 3px 3px 3px;
        	border: none;
        	color: #000;
        	box-shadow: 0 6px 10px -2px #3f4143;
        }
    </style>
</head>

    <body>
        <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Siedu
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-file-text-o"></i> <span class="nav-label">Consulta Informes</span></a>
                    </li>
                </ul>
            </div>
        </nav>
            <div id="page-wrapper" class="gray-bg">
                <div class="row border-bottom">
                    <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                        <div class="navbar-header">
                            <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                        </div>
                        <ul class="nav navbar-top-links navbar-right">
                            <li>
                               <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                            </li>
                            <li>
                                <a onclick="cerrarFicha()">
                                    <i class="fa fa-sign-out"></i> Salir
                                </a>
                            </li>
                        </ul>
    
                    </nav>
                </div>
                <div class="row wrapper border-bottom white-bg page-heading">
                    <div class="col-lg-10">
                        <h2>Consulta de Informes de Evaluación por Periodo</h2>
                        <ol class="breadcrumb">
                            <li>
                                <a>Inicio</a>
                            </li>
                            <li>
                                <a>Informes</a>
                            </li>
                            <li class="active">
                                <strong>Informes por Periodo</strong>
                            </li>
                        </ol>
                    </div>
                    <div class="col-lg-2"></div>
                </div>
                <div class="wrapper wrapper-content animated fadeInRight">
                    <form class="form-horizontal" method="POST" name="seleccionados" id="seleccionados" action="reportes/reporte-calificaciones-<?=$_SESSION['idColegio'] ?>.php" target="_blank" onSubmit="return validarSeleccion()">
                        <div class="row">
                            <!-- PLANILLAS DE ORIGEN DE LOS DESCRIPTORES -->
                            <div class="col-lg-12">
                                <div class="ibox float-e-margins">
                                    <div class="ibox-title">
                                        <h5>Consulta</h5>
                                    </div>
                                    <div class="ibox-content text-center">
                                        <div class="form-horizontal">
                                            <div class="row">
                                                <div class="col-lg-12" id="infoconsulta">
                                                    <h1>Consulta de Informes de Evaluación Periodo No. <?=$periodoConsulta ?> - <?=$_SESSION['aLectivo'] ?></h1>
                                                    <?php
                                                        if ($fechaConsultaValida == 1) { ?>
                                                            <input type="hidden" id="periodo" name="periodo" value="<?=$periodoConsulta ?>">
                                                            <h3 class="alert alert-success">Recuerde que la fecha límite para consultar y descargar el Informe de Evaluación del Estudiante es: <?=$datosFechasConsulta['fecha_final_informes'] ?></h3>
                                                            <br>
                                                            <h3>Ingrese el número de documento del Estudiante</h3>
                                                            <h5>(Digite el número sin puntos y sin comas)</h5>
                                							<div class="documento">
                                								<input name="documento" id="documento" value="" size="20" maxlength="20" autofocus="autofocus" autocomplete="off">
                                							</div>
                                                            <br><br>
                                                            <button type="button" class="btn btn-primary btn-lg" onclick="consultarDocumento()">Consultar Estudiante  <i class="fa fa-search"></i></button>
                                                            <?php
                                                        } else { ?>
                                                            <br>
                                                            <h2 class="alert alert-danger">En el momento no se encuentra habilitado el sistema para consultar y descargar el Informe de Evaluación de Estudiantes por Periodo</h2>
                                                            <h3 class="text-danger">Por favor consulte en la Institución Educativa por las fechas de consulta.</h3>
                                                            <br>
                                                            <?php
                                                        }
                                                    ?>
                                                </div>
                                                <div id="infoestudiante"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="footer">
                    <div class="pull-right">
                        <strong><a href="https://siedutunja.gov.co" target="_blank"> sieduTunja</a></strong> <small> &copy; <?=date('Y') ?> Derechos Registrados | galeanoTI S.A.S.</small>
                    </div>
                    <!--
                    <div>
                        <i class="fa fa-user-circle"></i> Usuario: <strong>ESTUDIANTE</strong>
                    </div>
                    -->
                </div>
            </div>
        </div>
        
        <!-- Mainly scripts -->
        <script src="../../js/jquery-3.1.1.min.js"></script>
        <script src="../../js/bootstrap.min.js"></script>
        <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
        <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>
    
        <!-- Custom and plugin javascript -->
        <script src="../../js/inspinia.js"></script>
        <script src="../../js/plugins/pace/pace.min.js"></script>
    
        <!-- iCheck -->
        <script src="../../js/plugins/iCheck/icheck.min.js"></script>
        <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
        <script src="../../js/plugins/select2/select2.full.min.js"></script>
        <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
        <script src="../../js/demo/peity-demo.js"></script>
    
        <script>
            $(document).ready(function () {
                $("#infoconsulta").show();
                $("#infoestudiante").hide();
            });
            
            function actualizarMatricula($idMatricula) {
                url = "../actualizar-matricula.php?idmatricula=" + $idMatricula;
                window.open(url,'_blank');
            }
            
            function descargarInforme($idCurso,$idPeriodo,$idMatricula) {
                url = "reporte-periodo.php?periodo=" + $idPeriodo + "&idcurso=" + $idCurso + "&idmatricula=" + $idMatricula;
                window.open(url,'_blank');
            }

            function consultarDocumento(){
                $.ajax({
                    type: 'POST',
                    url: 'consulta-documento.php',
                    data: 'documento=' + $("#documento").val(),
                    success:function(msj){ 
                        if (msj != 0){
                            $("#infoconsulta").hide();
                            $("#infoestudiante").show();
                            $.get('consulta-estudiante.php?idmatricula=' + msj + '&idperiodo=' + $("#periodo").val(),function(data){
                                $('#infoestudiante').html(data);
                            });
                        }
                        else{
                            swal({
                                title: "Lo sentimos!",
                                text: "El Estudiante no se encuentra matriculado.",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
            
            function otraConsulta() {
                window.location.href = "https://enslap.siedutunja.gov.co/consultas/informes/consulta.php";
            }
        
            function cerrarFicha(){
                window.close();
            }
        
       </script>
    </body>
</html>
