<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../configuracion/configuracion.php";
    require_once "../conexion/conexion.php";
    require_once "../clases/estudiantes.php";
    require_once "../clases/sised.php";
    require_once "../clases/colegios.php";
    require_once "../clases/observador.php";
	
	$rutaFirmaRector = "../colegios/".$_SESSION['bdColegio']."/firmas/rector.jpg";
    $rutaEscudo = "../escudos/es".$_SESSION['idColegio'].".jpg";
	$datosConfiguracion = colegios::obtenerDatosConfiguracion();
	$datosColegio = sised::obtenerDatosColegioSesion($_SESSION['idColegio']);
	$nombreRepresentante = $datosConfiguracion['representante'];
	$cargoRepresentante = $datosConfiguracion['cargo_representante'];
	$documentoRepresentante = $datosConfiguracion['documento_representante'];
	$nombreAdministrador = $datosConfiguracion['administrador'];
	$cargoAdministrador = $datosConfiguracion['cargo_administrador'];
	$documentoAdministrador = $datosConfiguracion['documento_administrador'];

	$idestudiante = $_GET['id'];
	$datosMatriculaEstudiante = estudiantes::datosMatriculaEstudianteId($_SESSION['aLectivo'],$idestudiante);
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$datosMatriculaEstudiante['id_curso']);

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../imagenes/favicon-sised.png">

    <link href="../css/secretaria.css" rel="stylesheet">
    <link href="../css/secretaria-imprimir.css" media="print" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La funcion de impresion no esta soportada por su navegador.");
            }
        }
    </script>
</head>
<body onload="imprimir();">
	<header id="encabezado"></header>

	<div class="vista-listados">
		<div class="cabezote-reportes" id="cabezote-reportes">
			<div class="escudo-reporte"><img src="<?=$rutaEscudo ?>" style="width: 90px; height: 90px;"></div>
			<h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
			<h3><?=$_SESSION['municipioColegio']." ".$_SESSION['departamentoColegio'] ?></h3>
			<h4 style="text-align: center">APROBADO POR RESOLUCI&Oacute;N No.: <?=$_SESSION['resolucionColegio'] ?></h4>
			<h4 style="text-align: center">C&Oacute;DIGO DANE: <?=$_SESSION['daneColegio'] ?>&nbsp;&nbsp;&nbsp; |&nbsp;&nbsp;&nbsp; NIT: <?=$_SESSION['nitColegio'] ?></h4>
		</div> 
	</div>
	<br><br>
	<div class="vista-listados">
		<h2 style="text-align: center">OBSERVADOR DEL ESTUDIANTE</h2>
	</div>
	<div class="vista-listados">
		<p>Id: <?=$idestudiante ?></p>
		<?php
            if ($datosMatriculaEstudiante) { ?>
				<table class='tablaMatriculas'>
					<tr>
						<td width="100%" style="font-size: 20px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;"><b> Estudiante: <?=$datosMatriculaEstudiante['apellidos']." ".$datosMatriculaEstudiante['nombres'] ?></b></td>
					</tr>
				</table>
				<table class='tablaMatriculas' style="margin-top: 3px;">
					<tr>
						<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 12px;">Documento: <?=$datosMatriculaEstudiante['documento'] ?></td>
						<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 12px;">Matricula No.: <?=$datosMatriculaEstudiante['id_matricula'] ?></td>
						<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 12px;">A&ntilde;o Lectivo: <?=$_SESSION['aLectivo'] ?></td>
						<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 12px;">Grado/Curso: <?=$datosCurso['nomenclatura'] ?></td>
					</tr>
				</table>
				<table class='tablaMatriculas' style="margin-top: 3px;">
					<tr>
						<td width="50%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 12px;">Acudiente:<br><?=$datosMatriculaEstudiante['apellidos_acudiente']." ".$datosMatriculaEstudiante['nombres_acudiente'] ?></td>
						<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 12px;">Dirección:<br><?=$datosMatriculaEstudiante['direccion_acudiente'] ?></td>
						<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 12px;">Teléfono:<br><?=$datosMatriculaEstudiante['telefono_acudiente'] ?></td>
					</tr>
				</table>
				<?php
                    $datosObservador = observador::consultaAnotaciones($datosMatriculaEstudiante['id_estudiante']);
                    if ($datosObservador) { 
                        $i = count($datosObservador);
                        foreach ($datosObservador as $anotacion) {
                            $datosSeguimientos = observador::consultaSeguimientosAnotacion($anotacion['id_anotacion']); ?>
				            <table class='tablaMatriculas' style="margin-top: 7px;">
				                <thead>
                				    <tr>
                				        <th width="70%" style="text-align: left;">Anotación por: <?=$anotacion['anoto'] ?></th>
                				        <th width="30%" style="text-align: left;">Fecha: <?=$anotacion['creado'] ?></th>
                				    </tr>
            				    </thead>
            				</table>
				            <table class='tablaMatriculas'>
            				    <tr>
            				        <td width="100%"><strong>Descripción de la Actuación o la Conducta Observada - Aspecto <?=$anotacion['aspecto'] ?>:</strong><br><?=$anotacion['situacion'] ?></td>
            				    </tr>
            				
            				</table>
				            <table class='tablaMatriculas'>
            				    <tr>
            				        <td width="100%"><strong>Descargos del Estudiante:</strong><br><?=$anotacion['descargos'] ?></td>
            				    </tr>
            				
            				</table>
				            <table class='tablaMatriculas'>
            				    <tr>
            				        <td width="100%"><strong>Compromisos Acordados:</strong><br><?=$anotacion['compromisos'] ?></td>
            				    </tr>
            				
            				</table>
                            <table class="tablaMatriculas">
                                <thead>
                                    <tr>
                                        <td width="3%">#</td>
                                        <td width="55%">Seguimiento</td>
                                        <td width="30%">Anotado por</td>
                                        <td width="12%">Fecha</td>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if ($datosSeguimientos) {
                                            $j = count($datosSeguimientos);
                                            foreach ($datosSeguimientos as $seguimiento) {?>
                                                <tr>
                                                    <td><?=$j ?></td>
                                                    <!--<td><textarea style="width: 500px"><?=$seguimiento['seguimiento'] ?></textarea></td>-->
                                                    <td><?=$seguimiento['seguimiento'] ?></td>
                                                    <td><?=$seguimiento['anoto'] ?></td>
                                                    <td><?=$seguimiento['actualizado'] ?></td>
                                                </tr>
                                                <?php
                                                $j--;
                                            }
                                        } else { ?>
                                            <tr>
                                                <td colspan="5" class="text-danger">No se ha realizado seguimiento a la anotación!</td>
                                            </tr>
                                            <?php
                                        }
                                    ?>
                                </tbody>
                            </table>                                                        
            				
            				
            				
				            <?php
				            $i--;
                        }
                    }
				?>
            
                <?php
            } else { ?>
                <div class="ibox-title">
                    <h5 class="text-danger">El número de documento no se encuentra registrado!</h5>
                </div>
                <?php
            }
		?>
	   <hr> 
	</div>
	<?php	
		if ($_SESSION['idColegio'] == 3) { ?>
			<img src="<?=$rutaFirmaRector ?>" style="width: 180px; height: 90px;  margin-top: 20px; margin-left: 80px;">
			<?php
			if ($_GET['idsede'] == 1){ 
				$rutaFirmaSecret = "../../colegios/".$_SESSION['bdColegio']."/firmas/secretaria.jpg";?>
				<img src="<?=$rutaFirmaSecret ?>" style="width: 180px; height: 90px;  margin-top: 20px; margin-left: 190px;">
				<?php
			} ?>
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: -10px;'>
				<div style='float: left; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
				<div style='float: right; width: 40%;'>
					<p>________________________________________</p>
					<?php
						if ($_GET['idsede'] == 1){ ?>
							<p><b><?=$nombreAdministrador ?></b></p>
							<p><?="c.c No. ".$documentoAdministrador ?></p>
							<p><?=$cargoAdministrador ?></p>
							<?php
						}
						else{ ?>
							<p><b>NIDIA ROCIO SANABRIA SUAREZ</b></p>
							<p>c.c No. 41.774.391 de Bogota</p>
							<p>Secretaria</p>
							<?php
						}
					?>
				</div>
			</div>
			<?php 
		}
		elseif ($_SESSION['idColegio'] == 5) { ?>
			<img src="<?=$rutaFirmaRector ?>" style="width: 180px; height: 90px;  margin-top: 50px; margin-left: 50px;">
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: -10px;'>
				<div style='float: left; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
			</div>
			<?php 
		}
		elseif ($_SESSION['idColegio'] == 6) { ?>
			<img src="<?=$rutaFirmaRector ?>" style="width: 90px; height: 90px;  margin-top: 20px; margin-left: 60px;">
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: -10px;'>
				<div style='float: left; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
				<div style='float: right; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreAdministrador ?></b></p>
					<p><?="c.c No. ".$documentoAdministrador ?></p>
					<p><?=$cargoAdministrador ?></p>
				</div>
			</div>
			<?php 
		}
        elseif ($_SESSION['idColegio'] == 8) { ?>
			<img src="<?=$rutaFirmaRector ?>" style="width: 180px; height: 90px;  margin-top: 20px; margin-left: 100px;">
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: -10px;'>
				<div style='float: left; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
				<div style='float: right; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreAdministrador ?></b></p>
					<p><?="c.c No. ".$documentoAdministrador ?></p>
					<p><?=$cargoAdministrador ?></p>
				</div>
			</div>
			<?php 
		}
		elseif ($_SESSION['idColegio'] == 22 || $_SESSION['idColegio'] == 41) { ?>
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: 100px;'>
				<div style='text-align: center; width: 100%;'>
					<p>________________________________________________</p>
					<p style='font-size: 16px;'><b><?=$nombreRepresentante ?></b></p>
					<p style='font-size: 14px;'><?="c.c No. ".$documentoRepresentante ?></p>
					<p style='font-size: 14px;'><?=$cargoRepresentante ?></p>
				</div>
			</div>
			<?php 
		}
		elseif ($_SESSION['idColegio'] == 25) { ?>
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: 100px;'>
				<div style='float: left; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
				<div style='float: right; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreAdministrador ?></b></p>
					<p><?="c.c No. ".$documentoAdministrador ?></p>
					<p><?=$cargoAdministrador ?></p>
				</div>
			</div>
		    <?php
		} 
		elseif ($_SESSION['idColegio'] == 26) { ?>
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: 100px;'>
				<div style='width: 90%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
			</div>
		    <?php
		}
		elseif ($_SESSION['idColegio'] == 29 || $_SESSION['idColegio'] == 46 || $_SESSION['idColegio'] == 48) {?>
			<img src="<?=$rutaFirmaRector ?>" style="width: 160px; height: 60px;  margin-top: 20px; margin-left: 50px;">
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: -25px;'>
				<div style='width: 90%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
			</div>
			<?php 
		}
		elseif ($_SESSION['idColegio'] == 32) { ?>
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: 100px;'>
				<div style='float: right; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreAdministrador ?></b></p>
					<p><?="c.c No. ".$documentoAdministrador ?></p>
					<p><?=$cargoAdministrador ?></p>
				</div>
				<div style='width: 90%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
			</div>
		    <?php
		} 
		else {?>
			<div style='margin: auto; width: 90%; font-size: 12px; margin-top: 100px;'>
				<div style='float: left; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreRepresentante ?></b></p>
					<p><?="c.c No. ".$documentoRepresentante ?></p>
					<p><?=$cargoRepresentante ?></p>
				</div>
				<div style='float: right; width: 40%;'>
					<p>________________________________________</p>
					<p><b><?=$nombreAdministrador ?></b></p>
					<p><?="c.c No. ".$documentoAdministrador ?></p>
					<p><?=$cargoAdministrador ?></p>
				</div>
			</div>
			<?php 
		} 
	?>
	<footer>
	<?php
		if ($_SESSION['idColegio'] == 5) { ?>
			<h3 align="center"><i class="fa fa-map-marker"> </i> DIRECCI&Oacute;N: <?=$datosColegio['direccion']." ".$datosColegio['municipio']." ".$datosColegio['departamento'] ?> &bull;&bull;&bull; <i class="fa fa-phone-square"> </i> TEL&Eacute;FONOS: <?=$datosColegio['telefono'] ?> &bull;&bull;&bull; <i class="fa fa-envelope"> </i> CORREO: <?=$datosColegio['correo'] ?><br><i class="fa fa-globe"> </i> www.ieluishernandezvargas-hatocorozal-casanare.edu.co</h3>
			<?php
		}
		elseif ($_SESSION['idColegio'] == 29) { ?>
			<h3 align="center"><i class="fa fa-map-marker"> </i> DIRECCI&Oacute;N: <?=$datosColegio['direccion']." ".$datosColegio['municipio']." ".$datosColegio['departamento'] ?> &bull;&bull;&bull; <i class="fa fa-envelope"> </i> CORREO: <?=$datosColegio['correo'] ?></h3>
			<?php
		}
		else{ ?>
			<h3 align="center"><i class="fa fa-map-marker"> </i> DIRECCI&Oacute;N: <?=$datosColegio['direccion']." ".$datosColegio['municipio']." ".$datosColegio['departamento'] ?> &bull;&bull;&bull; <i class="fa fa-phone-square"> </i> TEL&Eacute;FONOS: <?=$datosColegio['telefono'] ?> &bull;&bull;&bull; <i class="fa fa-envelope"> </i> CORREO: <?=$datosColegio['correo'] ?></h3>
			<?php
		}
	?>
	</footer>
</body>
</html>