<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/observador.php";

	$documento = $_GET['documento'];
	$datosMatriculaEstudiante = estudiantes::datosMatriculaEstudianteDocumento($_SESSION['aLectivo'],$documento);
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$datosMatriculaEstudiante['id_curso']);
    
?>
<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <?php
                    if ($datosMatriculaEstudiante) { ?>
                        <input type="hidden" id="idestudiante" value="<?=$datosMatriculaEstudiante['id_estudiante'] ?>">
                        <div class="ibox-title">
                            <h5>#<?=$datosMatriculaEstudiante['id_estudiante'] ?> DATOS DEL ESTUDIANTE</h5>
                            <div class="pull-right">IdMat: <?=$datosMatriculaEstudiante['id_matricula'] ?></div>
                        </div>
                        <div class="ibox-content">
                            <div class="row">
                                <div class="form-group">
                                    <div class="col-lg-5">
                                        <label><small>Apellidos y Nombres:</small></label>
                                        <h3><?=$datosMatriculaEstudiante['apellidos']." ".$datosMatriculaEstudiante['nombres'] ?></h3>
                                    </div>
                                    <div class="col-lg-3">
                                        <label><small>Documento:</small></label>
                                        <h3><?=$datosMatriculaEstudiante['documento'] ?></h3>
                                    </div>
                                    <div class="col-lg-4">
                                        <label><small>Grado-Curso:</small></label>
                                        <h3><?=$datosCurso['nomenclatura'] ?></h3>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-lg-5">
                                        <label><small>Acudiente:</small></label>
                                        <h4><?=$datosMatriculaEstudiante['apellidos_acudiente']." ".$datosMatriculaEstudiante['nombres_acudiente'] ?></h4>
                                    </div>
                                    <div class="col-lg-3">
                                        <label><small>Teléfono:</small></label>
                                        <h4><?=$datosMatriculaEstudiante['telefono_acudiente'] ?></h4>
                                    </div>
                                    <div class="col-lg-4">
                                        <label><small>Dirección:</small></label>
                                        <h4><?=$datosMatriculaEstudiante['direccion_acudiente'] ?></h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                    } else { ?>
                        <div class="ibox-title">
                            <h5 class="text-danger">El número de documento no se encuentra registrado!</h5>
                        </div>
                        <?php
                    }
                ?>
            </div>
        </div>
    </div>
    <?php
        if ($datosMatriculaEstudiante) { ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <button type="button" class="btn btn-success btn-xs pull-right" data-toggle="modal" data-target="#crearanotacion">Crear Anotación</button>
                            <h2 class="text-success">OBSERVADOR DEL ESTUDIANTE</h2>
                        </div>
                        <div class="ibox-content">
                            <div class="row">
                                <?php
                                    $datosObservador = observador::consultaAnotaciones($datosMatriculaEstudiante['id_estudiante']);
                                    if ($datosObservador) { 
                                        $i = count($datosObservador);
                                        foreach ($datosObservador as $anotacion) {
                                            $datosSeguimientos = observador::consultaSeguimientosAnotacion($anotacion['id_anotacion']); ?>
                                            <div class="col-lg-12 mb-3">
                                                <div class="ibox float-e-margins">
                                                    <div class="ibox-title" style="background-color: #bebebe">
                                                        <div class="row">
                                                            <div class="col-lg-12">
                                                                <h3>ANOTACIÓN No. <?=$i ?></h3>
                                                            </div>
                                                            <div class="col-lg-12">
                                                                <h5 class="pull-right text-muted">Fecha: <?=$anotacion['creado'] ?></h5>
                                                                <h5 class="text-muted">Creado por: <?=$anotacion['anoto'] ?></h5>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="ibox-content">                                                
                                                        <table class="table table-bordered">
                                                            <thead>
                                                                <tr><th scope="col">Descripción de la Actuación o la Conducta Observada - Aspecto: <?=$anotacion['aspecto'] ?></th></tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr><td><?=$anotacion['situacion'] ?></td></tr>
                                                            </tbody>
                                                        </table>
                                                        <table class="table table-bordered">
                                                            <thead>
                                                                <tr><th scope="col">Descargos del Estudiante</th></tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr><td><?=$anotacion['descargos'] ?></td></tr>
                                                            </tbody>
                                                        </table>
                                                        <table class="table table-bordered">
                                                            <thead>
                                                                <tr><th scope="col">Compromisos Acordados</th></tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr><td><?=$anotacion['compromisos'] ?></td></tr>
                                                            </tbody>
                                                        </table>
                                                        <button type="button" class="btn btn-info btn-xs pull-right" data-toggle="modal" data-target="#crearseguimiento" onClick="codigoAnotacion(<?=$anotacion['id_anotacion'] ?>)">Nuevo Seguimiento</button>
                                                        <h4>Seguimiento a los Compromisos Acordados</h4>
                                                        <table class="table table-bordered">
                                                            <thead>
                                                                <tr>
                                                                    <th scope="col">#</th>
                                                                    <th scope="col">Seguimiento</th>
                                                                    <th scope="col">Anotado por</th>
                                                                    <th scope="col">Fecha</th>
                                                                    <th scope="col">Acciones</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php
                                                                    if ($datosSeguimientos) {
                                                                        $j = count($datosSeguimientos);
                                                                        foreach ($datosSeguimientos as $seguimiento) {?>
                                                                            <tr>
                                                                                <th scope="row"><?=$j ?></th>
                                                                                <!--<td><textarea style="width: 500px"><?=$seguimiento['seguimiento'] ?></textarea></td>-->
                                                                                <td><?=$seguimiento['seguimiento'] ?></td>
                                                                                <td><?=$seguimiento['anoto'] ?></td>
                                                                                <td><?=$seguimiento['actualizado'] ?></td>
                                                                                <td>
                                                                                    <?php
                                                                                        if ($seguimiento['id_anoto'] == $_SESSION["idUsuario"]) { ?>
                                                                                            <button type="button" class="btn btn-warning btn-xs pull-right" data-toggle="modal" data-target="#editarseguimiento" onClick="datosSeguimiento(<?=$seguimiento['id_seguimiento'] ?>)">Editar</button>
                                                                                            <?php
                                                                                        }
                                                                                    ?>
                                                                                </td>
                                                                            </tr>
                                                                            <?php
                                                                            $j--;
                                                                        }
                                                                    } else { ?>
                                                                        <tr>
                                                                            <th colspan="5" class="text-danger">No se ha realizado seguimiento a la anotación!</th>
                                                                        </tr>
                                                                        <?php
                                                                    }
                                                                ?>
                                                            </tbody>
                                                        </table>                                                        
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                            $i--;
                                        }
                                    } else { ?>
                                        <div class="form-group">
                                            <div class="col-lg-12">
                                                <h3 class="text-danger">No hay anotaciones en el observador del estudiante.</h3>
                                            </div>
                                        </div>
                                        <?php
                                    }
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php
        }
    ?>
</div>