<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/notas.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/sised.php";

    $periodo = $_GET['periodo'];
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    $datosDesempenos = sised::datosDesempenos();
    $conEstudiantes = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    if ($_GET['idespecialidad'] == 1) {
        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos26($_SESSION['aLectivo'],$_GET['idcurso']);
        foreach ($datosEstudiantes as $estudiante) {
            $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
            $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
            $estudiantes[$conEstudiantes][2] = $estudiante['id_diversa'];
            $conEstudiantes++;
        }
    } else {
        $datosCursosGradoSede = colegios::datosCursosGradoSede($_SESSION['aLectivo'],$_GET['idgradosede']);
        foreach ($datosCursosGradoSede as $curso) {
            $datosEstudiantes = estudiantes::datosEstudiantesGradoActivosEspecialidad26($_SESSION['aLectivo'],$curso['id_curso'],$_GET['idespecialidad']);
            foreach ($datosEstudiantes as $estudiante) {
                $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                $estudiantes[$conEstudiantes][2] = $estudiante['id_diversa'];
                $conEstudiantes++;
            }
        }
        sort($estudiantes);
    }
    $datosPeriodo = colegios::datosPeriodo($periodo);
    // Encabezados
    //$datosEncabezados = colegios::datosEncabezados($_GET['idasignaturagrado'],$_GET['idcurso'],$_GET['periodo']);

    if ($_GET['idgrado'] == 99){ ?>
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover">
                <thead>
                    <tr>
                        <th width="2%">No</th>
                        <th width="30%">ESTUDIANTE</th>
                        <th width="13%">DESEMPEÑO</th>
                        <th width="55%">OBSERVACIONES DEL PERIODO</th>
                    </tr>
                </thead>
                <tbody>
                <?php
                    if($conEstudiantes){
                        for ($i=0; $i<$conEstudiantes; $i++){
                            $notasEstudiante = notas::consultaPreeAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$_GET['idasignaturagrado'],$_GET['periodo']); ?>
                            <tr>
                                <td><?=$i+1 ?></td>
                                <td><?=$estudiantes[$i][0] ?></td>
                                <td>
                                    <select class="form-control m-b" name="D<?=$estudiantes[$i][1] ?>"  id="D<?=$estudiantes[$i][1] ?>">
                                        <?php
                                            foreach ($datosDesempenos as $desempeno) {
                                                if ($desempeno['id_desempeno'] == $notasEstudiante['id_desempeno']){ ?>
                                                    <option value="<?=$desempeno['id_desempeno'] ?>" selected><?=$desempeno['descripcion'] ?></option>
                                                    <?php
                                                }
                                                else{ ?>
                                                    <option value="<?=$desempeno['id_desempeno'] ?>"><?=$desempeno['descripcion'] ?></option>
                                                    <?php
                                                }
                                            }
                                        ?>
                                    </select>
                                </td>
                                <td><input type="text" class="form-control m-b" name="O<?=$estudiantes[$i][1] ?>" value="<?=$notasEstudiante['observaciones'] ?>"></td>
                            </tr>
                            <input type="hidden" name="M<?=$estudiantes[$i][1] ?>" id="M<?=$estudiantes[$i][1] ?>" value ="<?=$estudiantes[$i][1] ?>">
                            <?php
                        }
                    }
                    else{ ?>
                        <tr>
                            <td colspan="4">No hay Estudiantes en el Curso</td>
                        </tr>
                        <?php
                    }
                ?>
                </tbody>
            </table>
        </div>
        <label class="btn btn-primary" onclick="guardarPlanilla()"><i class="fa fa-save"> </i> Guardar la Planilla</label>
        <label class="btn btn-default" onclick="cerrarPlanilla()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
        <?php
    }
    else {
        if ($_GET['idasignatura'] != 11){ ?>
            <input type="hidden" name="comportamiento" id="comportamiento" value ="0">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-hover">
                    <thead>
                        <tr>
                            <th rowspan="2">No</th>
                            <th rowspan="2">ESTUDIANTE</th>
                            <th rowspan="2">FAL</th>
                            <th colspan="3" style="text-align: center">TAREAS</th>
                            <th colspan="3" style="text-align: center">EVALUACIONES</th>
                            <th colspan="3" style="text-align: center">TRABAJOS</th>
                            <th colspan="1" style="text-align: center">EXPO</th>
                            <th colspan="1" style="text-align: center">PROME</th>
                            <th colspan="3" style="text-align: center">CONVIVENCIA</th>
                            <th rowspan="1" style="text-align: center">PROME</th>
                            <th rowspan="1" style="text-align: center">P_SABER</th>
                            <?php if ($_GET['idgrado'] == 11) { ?>
                                <th rowspan="1" style="text-align: center">ESTIMUL</th>
                                <?php
                            } ?>
                            <th rowspan="2" style="text-align: center">DEFINITIVA</th>
                        </tr>
                        <tr>
                            <td style="text-align: center">TA1</td>
                            <td style="text-align: center">TA2</td>
                            <td style="text-align: center">TA3</td>
                            <td style="text-align: center">EV1</td>
                            <td style="text-align: center">EV2</td>
                            <td style="text-align: center">EV3</td>
                            <td style="text-align: center">TR1</td>
                            <td style="text-align: center">TR2</td>
                            <td style="text-align: center">TR3</td>
                            <td style="text-align: center">EXP</td>
                            <td style="text-align: center">55%</td>
                            <td style="text-align: center">PERSON</td>
                            <td style="text-align: center">SOCIAL</td>
                            <td style="text-align: center">AUTOEV</td>
                            <td style="text-align: center">30%</td>
                            <td style="text-align: center">15%</td>
                            <?php if ($_GET['idgrado'] == 11) { ?>
                                <td style="text-align: center">GRADO11</td>
                                <?php
                            } ?>
                        </tr>
                    </thead>
                    <tbody>
                    <?php
                        if($conEstudiantes){
                            for ($i=0; $i<$conEstudiantes; $i++){
                                $notasEstudiante = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$_GET['idasignaturagrado'],$_GET['periodo']);
                                $notaFinal = $notasEstudiante['definitiva'];
                                $claseFila = "";
                                if ($notaFinal >= $infBajo && $notaFinal <= $supBajo){
                                    $conBajos++;
                                    $claseFila = "alert alert-danger";
                                }
                                elseif ($notaFinal >= $infBasico && $notaFinal <= $supBasico){
                                    $conBasicos++;
                                    $claseFila = "alert alert-info";
                                }
                                elseif ($notaFinal >= $infAlto && $notaFinal <= $supAlto){
                                    $conAltos++;
                                    $claseFila = "alert alert-warning";
                                }
                                elseif ($notaFinal >= $infSuperior && $notaFinal <= $supSuperior){
                                    $conSuperiores++;
                                    $claseFila = "alert alert-success";
                                }
                                $totalNotasFinales += $notaFinal; ?>
                                <tr>
                                    <td><?=$i+1 ?></td>
                                    <td>
                                        <?=$estudiantes[$i][0] ?>
                                        <?php
                                            if ($estudiantes[$i][2] == 1) { ?>
                                                <a data-toggle="modal" href="#observaciondiversa" onclick="modalObservacionDiversa({'texto': '<?=$notasEstudiante['descriptor_diversa'] ?>', 'id': '<?=$notasEstudiante['id_calificacion'] ?>'})">
                                                    <label class="btn btn-primary btn-sm">D</label>
                                                </a>
                                                <?php
                                            }
                                        ?>
                                    </td>
                                    <td><input type="text" name="F<?=$estudiantes[$i][1] ?>" value="<?=$notasEstudiante['fallas'] ?>" maxlength="2" onKeyPress="return soloNumeros(event)" style="width: 30px;"></td>
                                    <td><input type="text" name="N01<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n1'] > 0) echo $notasEstudiante['n1']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N02<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n2'] > 0) echo $notasEstudiante['n2']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N03<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n3'] > 0) echo $notasEstudiante['n3']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N04<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n4'] > 0) echo $notasEstudiante['n4']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N05<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n5'] > 0) echo $notasEstudiante['n5']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N06<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n6'] > 0) echo $notasEstudiante['n6']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N07<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n7'] > 0) echo $notasEstudiante['n7']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N08<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n8'] > 0) echo $notasEstudiante['n8']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N09<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n9'] > 0) echo $notasEstudiante['n9']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N12<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n12'] > 0) echo $notasEstudiante['n12']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><?php if ($notasEstudiante['def1'] > 0) echo $notasEstudiante['def1']; ?></td>
                                    <td><input type="text" name="N10<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n10'] > 0) echo $notasEstudiante['n10']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N11<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n11'] > 0) echo $notasEstudiante['n11']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><input type="text" name="N13<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n13'] > 0) echo $notasEstudiante['n13']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <td><?php if ($notasEstudiante['def2'] > 0) echo $notasEstudiante['def2']; ?></td>
                                    <td><input type="text" name="N14<?=$estudiantes[$i][1] ?>" value="<?php if ($notasEstudiante['n14'] > 0) echo $notasEstudiante['n14']; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                    <?php if ($_GET['idgrado'] == 11) { ?>
                                        <td><input type="text" name="E<?=$estudiantes[$i][1] ?>" value="<?=$notasEstudiante['estimulo'] ?>" maxlength="2" onKeyPress="return soloNumeros(event)" style="width: 30px;"></td>
                                        <?php
                                    } ?>
                                        
                                    <td class="<?=$claseFila ?>"><strong><?=$notaFinal ?></strong></td>
                                </tr>
                                <input type="hidden" name="M<?=$estudiantes[$i][1] ?>" id="M<?=$estudiantes[$i][1] ?>" value ="<?=$estudiantes[$i][1] ?>">
                                <?php
                            }
                            $promedioCurso = $totalNotasFinales / $conEstudiantes;
                            $totalConDesempenos = $conBajos + $conBasicos + $conAltos + $conSuperiores;
                        }
                        else{ ?>
                            <tr>
                                <td colspan="23">No hay Estudiantes en el Curso</td>
                            </tr>
                            <?php
                        }
                    ?>
                    </tbody>
                </table>
            </div>
            <?php
        }
        else{ ?>
            <input type="hidden" name="comportamiento" id="comportamiento" value ="1">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-hover">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>ESTUDIANTE</th>
                            <th>VALORACIÓN</th>
                            <th>OBSERVACIONES GENERALES DEL PERIODO</th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php
                        if($conEstudiantes){
                            for ($i=0; $i<$conEstudiantes; $i++){
                                $notasEstudiante = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$_GET['idasignaturagrado'],$_GET['periodo']);
                                $notaFinal = $notasEstudiante['definitiva'];
                                $claseFila = "";
                                if ($notaFinal >= $infBajo && $notaFinal <= $supBajo){
                                    $conBajos++;
                                    $claseFila = "alert alert-danger";
                                }
                                elseif ($notaFinal >= $infBasico && $notaFinal <= $supBasico){
                                    $conBasicos++;
                                    $claseFila = "alert alert-info";
                                }
                                elseif ($notaFinal >= $infAlto && $notaFinal <= $supAlto){
                                    $conAltos++;
                                    $claseFila = "alert alert-warning";
                                }
                                elseif ($notaFinal >= $infSuperior && $notaFinal <= $supSuperior){
                                    $conSuperiores++;
                                    $claseFila = "alert alert-success";
                                }
                                $totalNotasFinales += $notaFinal; ?>
                                <tr>
                                    <td><?=$i+1 ?></td>
                                    <td><?=$estudiantes[$i][0] ?></td>
                                    <td>
                                        <select class="form-control m-b" name="N01<?=$estudiantes[$i][1] ?>"  id="N01<?=$estudiantes[$i][1] ?>">
                                            <?php
                                                if ($notaFinal == 2){ ?>
                                                    <option value="0">-</option>
                                                    <option value="2" selected>DEFICIENTE</option>
                                                    <option value="3">ACEPTABLE</option>
                                                    <option value="4">SOBRESALIENTE</option>
                                                    <option value="5">EXCELENTE</option>
                                                    <?php
                                                }
                                                elseif ($notaFinal == 3) { ?>
                                                    <option value="0">-</option>
                                                    <option value="2">DEFICIENTE</option>
                                                    <option value="3" selected>ACEPTABLE</option>
                                                    <option value="4">SOBRESALIENTE</option>
                                                    <option value="5">EXCELENTE</option>
                                                    <?php
                                                }
                                                elseif ($notaFinal == 4) { ?>
                                                    <option value="0">-</option>
                                                    <option value="2">DEFICIENTE</option>
                                                    <option value="3">ACEPTABLE</option>
                                                    <option value="4" selected>SOBRESALIENTE</option>
                                                    <option value="5">EXCELENTE</option>
                                                    <?php
                                                }
                                                elseif ($notaFinal == 5) { ?>
                                                    <option value="0">-</option>
                                                    <option value="2">DEFICIENTE</option>
                                                    <option value="3">ACEPTABLE</option>
                                                    <option value="4">SOBRESALIENTE</option>
                                                    <option value="5" selected>EXCELENTE</option>
                                                    <?php
                                                }
                                                else { ?>
                                                    <option value="0" selected>-</option>
                                                    <option value="2">DEFICIENTE</option>
                                                    <option value="3">ACEPTABLE</option>
                                                    <option value="4">SOBRESALIENTE</option>
                                                    <option value="5">EXCELENTE</option>
                                                    <?php
                                                }
                                            ?>
                                        </select>                                    
                                    </td>
                                    <td><input type="text" style="width: 100%;" name="O<?=$estudiantes[$i][1] ?>" value="<?=$notasEstudiante['observaciones'] ?>"></td>
                                </tr>
                                <input type="hidden" name="M<?=$estudiantes[$i][1] ?>" id="M<?=$estudiantes[$i][1] ?>" value ="<?=$estudiantes[$i][1] ?>">
                                <?php
                            }
                            $promedioCurso = $totalNotasFinales / $conEstudiantes;
                            $totalConDesempenos = $conBajos + $conBasicos + $conAltos + $conSuperiores;
                        }
                        else{ ?>
                            <tr>
                                <td colspan="5">No hay Estudiantes en el Curso</td>
                            </tr>
                            <?php
                        }
                    ?>
                    </tbody>
                </table>
            </div>
            <?php
        } ?>
        <label class="btn btn-primary" onclick="guardarPlanilla()"><i class="fa fa-save"> </i> Guardar la Planilla</label>
        <label class="btn btn-default" onclick="cerrarPlanilla()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
        <div class="text-center pull-right">
            <p style="color: red"><small>ESTA PLANILLA ESTÁ HABILITADA PARA INGRESAR CALIFICACIONES DEL PERIODO </small><strong><?=$periodo ?></strong> <small>ENTRE EL</small> <strong><?=$datosPeriodo['notas_fecha_inicial'] ?></strong> <small>Y EL</small> <strong><?=$datosPeriodo['notas_fecha_final'] ?></strong> <small>HASTA LAS</small> <strong>11:59 PM</strong></p>
        </div>
        <hr>
        <?php
            if($conEstudiantes){ ?>
                <div class="row m-b-lg m-t-lg">
                    <div class="col-md-5">
                        <h3>Estudiantes por Desempeño</h3>
                        <table class="table m-b-xs">
                            <tbody>
                                <tr>
                                    <td class="alert alert-danger"><i class="fa fa-frown-o"></i> &nbsp;Desempeño Bajo<span class="pull-right">(<?=$infBajo." - ".$supBajo ?>)</span></td>
                                    <td class="alert alert-danger"><strong><?=$conBajos ?></strong> Estudiantes</td>
                                    <td class="alert alert-danger"><span class="pie"><?=$conBajos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conBajos / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                                <tr>
                                    <td class="alert alert-info"><i class="fa fa-meh-o"></i> &nbsp;Desempeño Básico<span class="pull-right">(<?=$infBasico." - ".$supBasico ?>)</span></td>
                                    <td class="alert alert-info"><strong><?=$conBasicos ?></strong> Estudiantes</td>
                                    <td class="alert alert-info"><span class="pie"><?=$conBasicos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conBasicos / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                                <tr>
                                    <td class="alert alert-warning"><i class="fa fa-smile-o"></i> &nbsp;Desempeño Alto<span class="pull-right">(<?=$infAlto." - ".$supAlto ?>)</span></td>
                                    <td class="alert alert-warning"><strong><?=$conAltos ?></strong> Estudiantes</td>
                                    <td class="alert alert-warning"><span class="pie"><?=$conAltos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conAltos / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                                <tr>
                                    <td class="alert alert-success"><i class="fa fa-star"></i> &nbsp;Desempeño Superior<span class="pull-right">(<?=$infSuperior." - ".$supSuperior ?>)</span></td>
                                    <td class="alert alert-success"><strong><?=$conSuperiores ?></strong> Estudiantes</td>
                                    <td class="alert alert-success"><span class="pie"><?=$conSuperiores ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conSuperiores / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                                <tr>
                                    <td><i class="fa fa-thumbs-o-down"></i> &nbsp;Sin Desempeño<span class="pull-right">Sin Nota</span></td>
                                    <td><strong><?=$conEstudiantes - $totalConDesempenos ?></strong> Estudiantes</td>
                                    <td><span class="pie"><?=$conEstudiantes - $totalConDesempenos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format((($conEstudiantes - $totalConDesempenos) / $conEstudiantes) * 100,0) ?> %</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-md-4">
                        <h3>Porcentaje Desempeño</h3>
                        <div class="flot-chart">
                            <div class="flot-chart-pie-content" id="flot-pie-chart"></div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <h3>Promedio del Curso</h3>
                        <div class="widget-head-color-box default-bg p-lg text-center" style="margin-top: -50px;">
                            <i class="big-icon"><?=number_format($promedioCurso,1) ?></i>
                        </div>
                    </div>
                </div>
                <?php
            }
        ?>
        
        <div id="observaciondiversa" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Descriptor Diversa</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Digite el Descriptor:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <input class="form-control m-b" id="descriptor">
                                        <input type="hidden" class="form-control m-b" id="idcalificacion">
                                    </div>
                                </div>
                                <hr>
                                <label class="btn btn-primary" onclick="guardarDescriptor()"><i class="fa fa-save"> </i> Guardar Descriptor</label>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        
        
        <!--
        <div class="panel-group">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                    <a data-toggle="collapse" href="#collapse1">Editar Encabezados</a>
                    </h4>
                </div>
                <div id="collapse1" class="panel-collapse collapse">
                    <div class="panel-body">
                        <table class="table table-condensed">
                            <tbody>
                                <tr><td width="5%">N1</td><td><input type="text" name="encabN1" value="<?=$datosEncabezados['n1'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N2</td><td><input type="text" name="encabN2" value="<?=$datosEncabezados['n2'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N3</td><td><input type="text" name="encabN3" value="<?=$datosEncabezados['n3'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N4</td><td><input type="text" name="encabN4" value="<?=$datosEncabezados['n4'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N5</td><td><input type="text" name="encabN5" value="<?=$datosEncabezados['n5'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N6</td><td><input type="text" name="encabN6" value="<?=$datosEncabezados['n6'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N7</td><td><input type="text" name="encabN7" value="<?=$datosEncabezados['n7'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N8</td><td><input type="text" name="encabN8" value="<?=$datosEncabezados['n8'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N9</td><td><input type="text" name="encabN9" value="<?=$datosEncabezados['n9'] ?>" style="width: 500px;"></td></tr>
                                <tr><td width="5%">N10</td><td><input type="text" name="encabN10" value="<?=$datosEncabezados['n10'] ?>" style="width: 500px;"></td></tr>
                            </tbody>
                        </table>
                        <label class="btn btn-success btn-xs" onclick="guardarEncabezados()"><i class="fa fa-close"> </i> Guadar Encabezados</label>
                        <input type="hidden" name="idencabezado" value="<?=$datosEncabezados['id_encabezado'] ?>">
                    </div>
                </div>
            </div>
        </div>
        -->
        <script src="../../js/demo/peity-demo.js"></script>

        <!-- Flot -->
        <script src="../../js/plugins/flot/jquery.flot.js"></script>
        <script src="../../js/plugins/flot/jquery.flot.tooltip.min.js"></script>
        <script src="../../js/plugins/flot/jquery.flot.resize.js"></script>
        <script src="../../js/plugins/flot/jquery.flot.pie.js"></script>
        <script src="../../js/plugins/flot/jquery.flot.time.js"></script>

        <script type="text/javascript">
            $(function() {
                var bajos = <?=$conBajos ?>;
                var basicos = <?=$conBasicos ?>;
                var altos = <?=$conAltos ?>;
                var superiores = <?=$conSuperiores ?>;
                var sindesempe = <?=$conEstudiantes - $totalConDesempenos ?>;
                var data = [{
                    label: "Bajo",
                    data: bajos,
                    color: "#F2DEDE",
                }, {
                    label: "Basico",
                    data: basicos,
                    color: "#D9EDF7",
                }, {
                    label: "Alto",
                    data: altos,
                    color: "#FCF8E3",
                }, {
                    label: "Superior",
                    data: superiores,
                    color: "#DFF0D8",
                }, {
                    label: "Sin Nota",
                    data: sindesempe,
                    color: "#bababa",
                }];

                var plotObj = $.plot($("#flot-pie-chart"), data, {
                    series: {
                        pie: {
                            show: true
                        }
                    },
                    grid: {
                        hoverable: true
                    },
                    tooltip: true,
                    tooltipOpts: {
                        content: "%p.0%, %s", // show percentages, rounding to 2 decimal places
                        shifts: {
                            x: 50,
                            y: 0
                        },
                        defaultTheme: false
                    }
                });

            });

        </script>
        <script>
            function modalObservacionDiversa(dato){
                $('#descriptor').val(dato.texto);
                $('#idcalificacion').val(dato.id);
            }
            
            function guardarDescriptor(){
                let datos = {'descriptor': $('#descriptor').val(), 'id': $('#idcalificacion').val()};
                guardarDescriptorDiversa(datos);
            }
        </script>
        <?php
    }
?>
