<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/notas.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);

    $conAsignaturas = 0;
    $datosAsignaturasCurso = colegios::datosAsignaturasCurso($_SESSION['aLectivo'],$datosCurso['id_grado_sede']);
    foreach ($datosAsignaturasCurso as $asignaturacurso) {
        $asignaturas[$conAsignaturas][0] = $asignaturacurso['id_asignatura_grado'];
        $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$asignaturacurso['id_asignatura']);
        if (count($datosAsignatura))
            $asignaturas[$conAsignaturas][1] = $datosAsignatura['nemotecnico'];
        else
            $asignaturas[$conAsignaturas][1] = "-";
        $asignaturas[$conAsignaturas][2] = $datosAsignatura['id_area'];
        $conAsignaturas++;
    }
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    $conEstudiantes = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    foreach ($datosEstudiantes as $estudiante) {
        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
        $conEstudiantes++;
    }
    $promedioCurso = 0;
?>
<div>
    <h3 class="no-margins text-center">CONSOLIDADO DE NOTAS FINALES</h3>
    <h4 class="no-margins text-center">CURSO: <?=$datosCurso['nomenclatura'] ?> &bull; A&Ntilde;O LECTIVO: <?=$_SESSION['aLectivo'] ?></h4>
<div>

<div class="table-responsive">
    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="1%">No</th>
                <th width="20%">ESTUDIANTE</th>
                <?php
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<th width='2%'><strong>".substr($asignaturas[$i][1],0,5)."</th>";
                        $totalBajosAsignatura[$i] = $totalBasicosAsignatura[$i] = $totalAltosAsignatura[$i] = $totalSuperioresAsignatura[$i] = 0;
                    }
                ?>
            </tr>
        </thead>
        <tbody>
        <?php
            if($conEstudiantes){
                for ($i=0; $i<$conEstudiantes; $i++){
                    $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = $totalNotasEstudiante = 0;
                    $consecutivo = $i + 1;
                    echo "<tr><td>".$consecutivo."</td><td>".$estudiantes[$i][0]."</td>";
                    for ($j = 0; $j < $conAsignaturas; $j++) {
                        $idAsignaturaGrado = $asignaturas[$j][0];
                        $sumaNotas = 0;
                        $notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado,4);
                        foreach ($notasEstudiante as $notas){
                            $definitiva = $notas['definitiva'];
                            $recuperacion = $notas['recuperacion'];
                            if ($_SESSION['idColegio'] == 39){
                                if ($recuperacion > $definitiva)
                                    $definitiva = number_format(($definitiva + $recuperacion) / 2,1);
                                $sumaNotas += $definitiva;
                            }
                            else{
                                if ($recuperacion > $definitiva)
                                    $definitiva = $recuperacion;
                                $sumaNotas += $definitiva;
                            }
                        }
                        $promedioAcumulado = $claseFila = '';
                        if ($sumaNotas){
                            if ($_SESSION['idColegio'] == 3)
                                $promedioAcumulado = number_format($sumaNotas / 4,0);
                            elseif ($_SESSION['idColegio'] == 5){
                                if ($datosCurso["id_grado"] == 25 || $datosCurso["id_grado"] == 26)
                                    $promedioAcumulado = number_format($sumaNotas / 2, 1);
                                else
                                    $promedioAcumulado = number_format($sumaNotas / 4, 1);
                            }
                            else
                                $promedioAcumulado = number_format($sumaNotas / 4,1);
                            if ($promedioAcumulado < $infBasico)
                                $claseFila = "alert alert-danger";
                            else
                                $claseFila = "alert alert-success";
                            echo "<td class='<?=$claseFila ?>'><strong>".$promedioAcumulado."<strong></td>";
                        }
                        else{
                            echo "<td></td>";
                        }
                        
                    }
                }
            }
            else{ ?>
                <tr>
                    <td colspan="5">No hay Estudiantes en el Curso</td>
                </tr>
                <?php
            }
        ?>
        </tbody>
    </table>
</div>
<label class="btn btn-success" onclick="imprimirConsolidado()"><i class="fa fa-close"> </i> Imprimir Consolidado</label>
<label class="btn btn-default" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
<br><br>