<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/docentes.php";
    require_once "../../clases/notas.php";

	$rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
	$idAsignaturaDocente = $_GET['idasignaturadocente'];
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La funcin de impresion no esta soportada por su navegador.");
            }
        }
    </script>
	<style type="text/css">
		@media all {
			div.saltopagina{
				display: none;
			}
		}
			
		@media print{
			div.saltopagina{ 
				display:block; 
				page-break-before:always;
			}
		}	
	</style>
</head>
<body>
<?php
	$datosAsignaturaDocente = colegios::datosAsignaturaDocente($_SESSION['aLectivo'],$idAsignaturaDocente);
	$datosDocente = docentes::datosDocente($datosAsignaturaDocente['id_docente']);
	$datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$datosAsignaturaDocente['id_asignatura_grado']);
	$datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
	$idCurso = $datosAsignaturaDocente['id_curso'];
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
    $datosJornada = sised::datosJornada($datosCurso['id_jornada']);
    $conEstudiantes=0;
    if ($datosAsignatura['id_especialidad'] == 1) {
        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$idCurso);
        foreach ($datosEstudiantes as $estudiante) {
            $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
            $estudiantes[$conEstudiantes][1] = $estudiante['documento'];
            $conEstudiantes++;
        }
    } else {
        $datosCursosGradoSede = colegios::datosCursosGradoSede($_SESSION['aLectivo'],$datosAsignaturaGrado['id_grado_sede']);
        foreach ($datosCursosGradoSede as $curso) {
            $datosEstudiantes = estudiantes::datosEstudiantesGradoActivosEspecialidad($_SESSION['aLectivo'],$curso['id_curso'],$datosAsignatura['id_especialidad']);
            foreach ($datosEstudiantes as $estudiante) {
                $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                $estudiantes[$conEstudiantes][1] = $estudiante['documento'];
                $conEstudiantes++;
            }
        }
        sort($estudiantes);
    }
    ?>
    <div>
	    <div class="escudo-reporte"><img style="width: 80px; height: 80px;" src="<?=$rutaEscudo ?>"></div>
        <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
        <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
        <p>NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
        <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
    </div><br>
	<h2>LISTA AUXILIAR A&Ntilde;O LECTIVO: <?=$_SESSION['aLectivo'] ?></h2>
	<br>
	<table class='tablaMatriculas'>
		<tr>
			<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="25%">GRADO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
			<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="45%">ASIGNATURA: <strong><?=$datosAsignatura['descripcion'] ?></strong></td>
			<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="30%">DOCENTE: <strong><?=$datosDocente['apellidos']." ".$datosDocente['nombres'] ?></strong></td>
		</tr>
	</table>
	<table class='tablaMatriculas' style="margin-top: 3px;">
        <tr>
            <th width="1%" style="font-size: 10px; padding-top: 0; padding-bottom: 0;">No</th>
            <th width="40%" style="font-size: 10px; padding-top: 0; padding-bottom: 0;">ESTUDIANTE</th>
            <th width="12%" style="font-size: 10px; padding-top: 0; padding-bottom: 0;">DOCUMENTO</th>
            <th></th><th></th><th></th><th></th><th></th><th></th><th></th>
        </tr>
        <?php
            if($conEstudiantes){
                for ($i=0; $i<$conEstudiantes; $i++){?>
                    <tr>
                        <td style="font-size: 14px; padding-top: 0; padding-bottom: 0;"><?=$i+1 ?></td>
                        <td style="font-size: 14px; padding-top: 0; padding-bottom: 0;"><?=$estudiantes[$i][0] ?></td>
                        <td style="font-size: 14px; padding: 0; text-align: center;"><?=$estudiantes[$i][1] ?></td>
                        <td></td><td></td><td></td><td></td><td></td><td></td><td></td>
                    </tr>
                    <?php
                }
            }
            else{ ?>
                <tr>
                    <td colspan="4">No existen Estudiantes Matriculados en el Curso</td>
                </tr>
                <?php
            }
            
        /*
            if($datosEstudiantes){
                $i = 1;
                foreach ($datosEstudiantes as $estudiante) { ?>
                    <tr>
                        <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$i ?></td>
                        <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['estudiante'] ?></td>
                        <td style="font-size: 10px; padding: 0; text-align: center;"><?=$estudiante['documento'] ?></td>
                        <td></td><td></td><td></td><td></td><td></td><td></td><td></td>
                    </tr>
                    <?php
                    $i++;
                }
            }
            else{ ?>
                <tr>
                    <td colspan="4">No existen Estudiantes Matriculados en el Curso</td>
                </tr>
                <?php
            }
        */
        ?>
    </table>
    <div class='area-botones'><button type="button" class="btn btn-success" onclick="imprimir()"><i class="fa fa-print"> </i> Imprimir</button></div>
	<?php
?>
</body>
</html>