<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";
    
    //    $_GET['periodo'] = 4;

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);

    $idGrado = $datosCurso['id_grado'];

    $puestosCurso = array();
    if ($_GET['periodo'] != 5) { // PUESTOS POR PERIODO
	    if ($idGrado > 15 && $idGrado < 21){ // PREESCOLAR
            $conMatriculados = 0;
            $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
            foreach ($datosEstudiantes as $estudiante) {
                $numNotas = $sumaNotas = 0;
                $notasEstudiante = notas::consultaNotasEstudiantePeriodoPree($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
                foreach ($notasEstudiante as $notas) {
                    $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                    if ($datosAreaAsignatura['id_area'] != 10){
                        if ($notas['d1'] == 'E')
                            $sumaNotas += 5; 
                        else if ($notas['d1'] == 'S')
                            $sumaNotas += 4; 
                        else if ($notas['d1'] == 'B')
                            $sumaNotas += 3; 
                        else if ($notas['d1'] == 'D')
                            $sumaNotas += 2;
                        else
                            $sumaNotas += 0;
                        
                        $numNotas += 1;
                    }
                }
                if ($numNotas >= 1)
                    $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
                else
                    $puestosCurso[$conMatriculados][0] = 0;
                $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
                $puestosCurso[$conMatriculados][2] = $estudiante['id_estudiante'];
                $puestosCurso[$conMatriculados][3] = $estudiante['apellidos'];
                $puestosCurso[$conMatriculados][4] = $estudiante['nombres'];
                $conMatriculados += 1;
            }
        }
        else {  // PRIMARIA Y BACHILLERATO
            $conMatriculados = 0;
            $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
            foreach ($datosEstudiantes as $estudiante) {
                $numNotas = $sumaNotas = 0;
                $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
                foreach ($notasEstudiante as $notas) {
                    $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                    if ($datosAreaAsignatura['id_area'] != 10){
                        if ($notas['recuperacion'] > $notas['definitiva'])
                            $sumaNotas += $notas['recuperacion'];
                        else
                            $sumaNotas += $notas['definitiva'];
                        $numNotas += 1;
                    }
                }
                if ($numNotas >= 1)
                    $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
                else
                    $puestosCurso[$conMatriculados][0] = 0;
                $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
                $puestosCurso[$conMatriculados][2] = $estudiante['id_estudiante'];
                $puestosCurso[$conMatriculados][3] = $estudiante['apellidos'];
                $puestosCurso[$conMatriculados][4] = $estudiante['nombres'];
                $conMatriculados += 1;
            }
        }
    }
    else {   // PUESTOS FINALES
        
    }
    rsort($puestosCurso);

    $rutaFoto1 = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$puestosCurso[0][2].".jpg";
    $rutaFoto2 = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$puestosCurso[1][2].".jpg";
    $rutaFoto3 = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$puestosCurso[2][2].".jpg";
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La función de impresion no esta soportada por su navegador.");
            }
        }
    </script>
</head>
<body onload="imprimir();">
    <div class="vista-reportes">
        <div>
            <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
            <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
            <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
            <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
            <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
        </div>
        <h1 class="no-margins text-center">CUADRO DE HONOR</h1>
        <br>
        <table class='tablaMatriculas'>
            <tr>
                <td width="40%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 16px">Grado/Curso: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
                <td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 16px">Periodo: <strong><?=$_GET['periodo'] ?></strong></td>
                <td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px; font-size: 16px">A&ntilde;o Lectivo: <strong><?=$_SESSION['aLectivo'] ?></strong></td>
            </tr>
        </table>
        <br>
        <table class='tablaMatriculas'>
            <tr>
                <td width="33%" style="text-align: center; border: 0;">
                    <img style="width: 150px; height: 200px;" src="<?=$rutaFoto1 ?>">
                    <h3>Primer Puesto</h3>
                    <h2><?=$puestosCurso[0][3] ?><br><?=$puestosCurso[0][4] ?></h2>
                    <i class="fa fa-trophy" style="font-size: 50px; color: gold;"></i>
                    <h3>PROMEDIO = <?=$puestosCurso[0][0] ?></h3>
                </td>
                <td width="33%" style="text-align: center; border: 0;">
                    <img style="width: 150px; height: 200px;" src="<?=$rutaFoto2 ?>">
                    <h3>Segundo Puesto</h3>
                    <h2><?=$puestosCurso[1][3] ?><br><?=$puestosCurso[1][4] ?></h2>
                    <i class="fa fa-trophy" style="font-size: 50px; color: gray;"></i>
                    <h3>PROMEDIO = <?=$puestosCurso[1][0] ?></h3>
                </td>
                <td width="33%" style="text-align: center; border: 0;">
                    <img style="width: 150px; height: 200px;" src="<?=$rutaFoto3 ?>">
                    <h3>Tercer Puesto</h3>
                    <h2><?=$puestosCurso[2][3] ?><br><?=$puestosCurso[2][4] ?></h2>
                    <i class="fa fa-trophy" style="font-size: 50px; color: brown;"></i>
                    <h3>PROMEDIO = <?=$puestosCurso[2][0] ?></h3>
                </td>
            </tr>
        </table>
    </div>
</body>