<?php
    require_once "configuracion/configuracion.php";
    require_once "conexion/conexion.php";
?>

<!DOCTYPE html>
<html lang="es">
<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="imagenes/escudo-tunja.png">

    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="font-awesome/css/font-awesome.css" rel="stylesheet">

    <link href="css/animate.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
    <link href="css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body class="gray-bg">
    <div class="passwordBox animated fadeInDown">
        <div class="row">
            <div class="col-md-12">
                <div class="ibox-content">
                    <h2 class="font-bold">Recordar Contraseña</h2>
                    <p>
                        Ingrese su dirección de correo electrónico registrado en el sistema. Su contraseña será restablecida y le será enviada por correo electrónico.
                    </p>
                    <div class="row">
                        <div class="col-lg-12">
                            <input type='hidden' id='bdcolegio' name='bdcolegio' value='<?=$_GET['bdcolegio'] ?>'>
                            <input type='hidden' id='idcolegio' name='idcolegio' value='<?=$_GET['idcolegio'] ?>'>
                            <div class="form-group">
                                <input type="email" class="form-control" id="correo" placeholder="Correo" value="">
                            </div>
                            <button class="btn btn-primary block full-width m-b" onclick="validarCorreo()">Enviar Contraseña</button 
                            <br/>
                            <a onclick="ingresarSistema()">
                                <small>Volver a Ingresar</small>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <hr/>
        <div class="row">
            <div class="col-md-6">
                <small>galeanoTI S.A.S.</small>
            </div>
            <div class="col-md-6 text-right">
               <small>&copy; <?=date('Y') ?></small>
            </div>
        </div>
    </div>
    <script src="js/jquery-3.1.1.min.js"></script>
    <script src="js/plugins/sweetalert/sweetalert.min.js"></script>
    <script>
        function ingresarSistema(){
            window.location.href = "/";
        }

        function validarCorreo(){  
            if ($('#correo').val() == ""){
                $('#correo').focus();
                swal({
                    title: "Un momento!",
                    text: "Ingrese el correo. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: 'credenciales/validar-correo.php',
                    data: 'idcolegio=' + $('#idcolegio').val() + '&bdcolegio=' + $('#bdcolegio').val() + '&correo=' + $('#correo').val(),
                    success:function(msjUsuario){
                        if (msjUsuario == 1){ 
                            swal({
                                title: "Excelente!",
                                text: "Se ha enviado la Contraseña al correo indicado.",
                                type: "success"
                            });
                        }
                        else if (msjUsuario == 0){ 
                            swal({
                                title: "Lo sentimos!",
                                text: "El correo no se encuentra registrado en el sistema.",
                                type: "error"
                            });
                        }
                        else{
                            swal({
                                title: "Lo sentimos!",
                                text: "Se presento un problema al enviar el correo. Intentelo más tarde.",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
        }
    </script>
</body>

</html>
